------------------------------------------------------------------------------
Hot Soup Processor ver3.7                           HSP : Hot Soup Processor  
更新履歴                              copyright 1997-2025 (c) onion software  
------------------------------------------------------------------------------

・hsp3関連 更新履歴

	2025/09/02 3.7

	[HSP3Dish][android] 新規プロジェクトを16KBページサイズに対応するように修正
	HSP3アップデーターのベースパッケージ管理を変更、再インストールを可能に修正
	HSP3アップデーターの拡張機能選択でエラーが発生することがあった不具合を修正
	[mod_vpad] hspvpad_init命令にスクリーンサイズのパラメーターを追加

	2025/07/29 3.7 RC3

	sample/tamaneフォルダを追加、珠音シマエナガ素材をhsptvフォルダに追加
	sample/new34、sample/new35フォルダを既存のサンプルと統合
	ランタイム上のいくつかのメモリリークを修正(zakki)
	#pack,#epack命令で絶対パスを記述した場合に正しく処理されない不具合を修正(zakki)
	[HSP3Dish] RC1版でes_put命令が正しく動作しなくなっていた不具合を修正
	[HSP3Dish] 標準スプライト表示時にキャラクターNo.が正しくない時に落ちる不具合を修正

	2025/07/08 3.7 RC2

	[HGIMG4] gpgetanim,gpsetanim命令に実数のパラメーターをやり取りするオプションを追加
	[HGIMG4] getpos系の命令で受け取り変数に2次元配列を指定した際に不安定になる不具合を修正

	2025/06/12 3.7 RC1

	HSPアシスタントを更新、データ更新をHSP3アップデーターに統一
	mes命令の第2パラメーターで文字列の変換を行った際に表示が変わってしまう不具合を修正
	[hspinet] jsongets命令で返される"True"の文字列が間違っていた不具合を修正
	[HGIMG4] gpload命令でエラーが発生した場合でもオブジェクトが生成される不具合を修正
	[HGIMG4] gpmesh命令で空のメッシュを作成した場合でもオブジェクトが生成される不具合を修正
	[HGIMG4] gpclone命令のヘルプで、p3,p4パラメーター表記が間違っていたのを修正
	[HSP3Dish] viewcalc命令による座標変換時は、mes,celput等の表示座標チェックを除外するように修正
	[HSP3Dish] es_draw命令にスプライトのデバッグ表示オプションを追加
	[HSP3Dish] es_check命令の衝突判定取得に回転を考慮した判定オプションを追加

	2025/04/07 3.7 beta10a

	コンパイル時にプラットフォームマクロ(_hspwin、_hsplinux)が定義されるように修正
	[hspinet] jsonオブジェクトで実数を扱うためのjsonsetprmd,jsongetd,jsonputd命令を追加
	[hspinet] jsonオブジェクトで配列を扱うためのjsongetarrayobj,jsongetarrayobjbyname命令を追加
	[HSP3Dish] linux,iOS,android,js(WebGL)でviewcalc命令のvptype_translateが正しく設定されない不具合を修正
	[HSP3Dish] httploadでエラーが発生した際に以降のリクエストができなくなる不具合を修正
	[HSP3Dish][hsp3js] 大きいフォントが描画されない不具合に対応(zakki)
	[HSP3Dish][android] β10版のhsp3dhでSDKダウンロードが正しくできなかった不具合を修正
	[HSP3Dish][dotfw] 外部ジョイスティックの使用をWindows版のみ行われるように修正

	2025/02/14 3.7 beta10

	Windows上での終了時、WM_DESTROYメッセージを処理できるように修正
	exist命令で253文字以上のファイル名を指定した場合にアプリが落ちることがある不具合を修正
	OBAQなどの外部拡張命令実行時にエラー10(サブルーチン外のreturn)が出ることがある不具合を修正
	スクリプトエディタの予約キーワードに#aht, #ahtmes, #epackdir, #packdirを追加
	スクリプトエディタの「定義へ移動」などのソース解析が新規ファイルでエラーになる不具合を修正
	「定義へ移動」「すべての定義を参照」機能でモジュール内の命令や関数が検索できない不具合を修正
	最適化により削除されるモジュール内でソース解析が正しく動作しない不具合を修正
	スクリプトエディタのソース解析中にエラーが発生した際にダイアログを出すように修正
	mod_tamakeisdモジュールのsdchr_puticonのX,Y調整位置が反映されない不具合を修正
	hspoggプラグインのoggファイル再生時の末端にノイズが発生する不具合を修正
	[HGIMG4] 最初にタッチした際のマルチタッチ情報が-1になっていなかった不具合を修正
	[HGIMG4] gpclone命令でモデル形状の物理設定されたオブジェクト座標がリセットされない不具合を修正
	[hspinet] SetNkfOption、NkfConvert等のNKF内蔵APIが使用できなかった不具合を修正
	[HSP3Dish] スプライトのライフ値とパワー値を管理するes_setlife命令を追加
	[HSP3Dish] es_check命令の検索オプションを追加
	[HSP3Dish] objinfo関数で取得できる項目が標準HSP3と異なっていたものを修正
	[HSP3Dish] linux,iOS,android,js(WebGL)でgettime(7)の値が1/10になっていた不具合を修正
	[HSP3Dish][hsp3js] 加速度(ginfo_accel*)、ジャイロセンサー値(ginfo_gyro*)の取得に対応
	[HSP3Dish][hsp3js] HGIMG4の表示解像度(ENV.HSP_SX,SY)変更に仮対応
	[HSP3Dish][hsp3js] HGIMG4のオフスクリーンバッファへの描画に対応(zakki)
	[HSP3Dish][hsp3js] フォント描画の高速化に対応(zakki)
	[HSP3Dish][hsp3js] wpoke,wpeek,lpoke,lpeekの処理がインデックス値によりWindowsと異なる不具合を修正
	[HSP3Dish][android] APIレベル35、Gradleバージョン8.6、NDKバージョン26にアップデート
	[HSP3Dish][android] HGIMG4でAssetフォルダ内のgpbファイルが正しく読み込まれない不具合を修正
	[HSP3Dish][dotfw] df_updateでUPDATE_PAUSEオプションが正しく動作しない不具合を修正
	[HSP3Dish][dotfw] 敵の動作設定を行うdf_enemyconf命令を追加
	[HSP3Dish][dotfw] df_getbgpointで得られる座標値が大きくなっている不具合を修正
	[HSP3Dish][Windows] ginfo関数で割り込みIDを取得するginfo_intidの値が正しくない不具合を修正
	[HSP3Dish] 標準スプライトで近くにあるオブジェクトを検索するes_nearobj命令を追加

	2024/07/18 3.7 beta9

	起動から596時間経過したPC上のawait命令で停止を続けることがある不具合を修正
	全角のファイル名を持つUTF8のスクリプトで__FILE__マクロが文字化けする不具合を修正
	UTF8ランタイムのデバッグウインドウで全角の変数名が文字化けする不具合を修正
	「定義へ移動」「すべての定義を参照」機能で大文字を含むキーワードが検索できない不具合を修正
	「定義へ移動」「すべての定義を参照」機能でモジュール内のキーワードが検索できない不具合を修正
	ファイルパックされているファイルが異なるフォルダを指定してもexist命令で参照されてしまう不具合を修正
	[HGIMG3][HGIMG4] getcoli命令で検出するオブジェクトIDの範囲を設定するためのパラメーターを追加
	[HGIMG3][HGIMG4] fvdir命令で取得されるベクトルの計算タイプを指定するオプションを追加
	[HGIMG4] gppraytest命令に対象となるコリジョングループを指定するオプションを追加
	[HGIMG4] 物理設定されたオブジェクト移動後の衝突テストを行うgppsweeptest命令を追加
	[HGIMG4] 最も近くにあるオブジェクトを検索するgetnearobj命令を追加
	[HGIMG4] gppapply命令に対象となる座標を指定するオプションを追加
	[HSP3Dish] es_ini命令にマップ最大数の初期化オプションを追加
	[HSP3Dish] 標準スプライトの描画とクリッピングに関するオプションを設定するes_spropt命令を追加
	[HSP3Dish] 標準スプライトによる疑似3D表示サンプルを追加
	[HSP3Dish][dotfw] df_bgscroll命令で背景を斜めにスクロールした際に一部表示されなくなる不具合を修正
	[HSP3Dish][hsp3js] hsp3js変換時にdataフォルダ内のファイルを正しく認識しない不具合を修正
	[HSP3Dish][android] hsp3dhでandroid新規プロジェクト作成にフルスクリーン設定を追加
	[HSP3Dish][android] β8版でhsp3dhビルド後の自動起動が正しく行われなかった不具合を修正
	[HSP3Dish][Windows] qmat3命令で指定される半透明レートが256以上の際に不透明にならない不具合を修正
	[HSP3Dish][Windows] gsel命令によるウインドウの非表示/アクティブ化に対応
	HSP3 MakeUpdateツールのType選択値を最新のアップデーターと同期
	button gosub命令のコールバック実行時にend命令をすり抜けることがある不具合を修正
	サンプルスクリプトのフォルダを整理、sample/analyzeフォルダを追加
	Dish P HelperツールをVer3.1に更新(しまくろねこ)

	2024/02/21 3.7 beta8

	HSP3機能の更新をサポートするHSP3Update(hsp3upd.exe)を同梱
	#var,#varint,#vardouble,#varstr等で指定される変数がモジュール名に対応していなかった不具合を修正
	スクリプトエディタの検索置換で終了ダイアログが複数表示される不具合を修正(inovia)
	スクリプトエディタのファイル選択ダイアログでファイル作成の確認が出ないように修正(inovia)
	β7版でスクリプトエディタから実行ファイルのアイコン書き換えが無効だった不具合を修正
	oncmd命令による割り込みのON/OFFをメッセージIDごとに指定できるように修正
	珠音ちゃん・プロ生ちゃん SD 上半身コラボ素材を更新
	ZLibWrap.dllプラグインに格納ファイル一覧を取得するzipextractlist命令を追加
	[hspcmp] #useプリプロセッサ命令で検索されるスクリプトファイルの拡張子を、.as、.hspの2種類に修正
	[HGIMG4] gpnodeinfo命令で複数のマテリアル情報取得ができない不具合を修正
	[HGIMG4] gpmatprmf命令のfilter設定でエラーダイアログが表示されることがある不具合を修正
	[HGIMG4] 頂点カラー(VERTEX_COLOR)テクスチャなしのモデルが光源計算時消えることがある不具合を修正
	[HGIMG4] getobjcoli命令に3Dモデルの外周を囲むバウンディングスフィアのサイズを取得するオプションを追加
	[HSP3Dish][android] ターゲットAPIを34に変更、AGPバージョンを8.2に更新
	[HSP3Dish][android] AdMobのインタースティシャル広告の再表示に対応
	[HSP3Dish][android] hsp3dhでManifest、HSPActivityフォルダを開くボタンを追加
	[HSP3Dish][android] hsp3dhでリリース時のキーファイル(keystore)生成時にpemファイルも出力するように修正
	[HSP3Dish][android] サウンドデータのロードが終わるまで待つ処理を追加(inovia)
	[HSP3Dish][android] mmload でロードしたファイルが適切に解放されない不具合を修正(inovia)
	[HSP3Dish][Windows] sysinfoで取得されるバージョンを標準ランタイムと合わせるためマニフェストファイルを更新
	[HSP3Dish] es_fade命令のESSPF_EFADE,ESSPF_EFADE2で完全な透明にならない不具合を修正
	[HSP3Dish] 無効なスプライトに対してes_fade,es_apos,es_adir命令が実行できてしまう不具合を修正

	2023/10/25 3.7 beta7

	VOICEVOX COREによる音声合成をサポートするhspvoicevoxプラグインを追加
	#packopt nameで指定されたファイル名に大文字を含めることができるように修正
	スクリプトエディタのコンテキストメニューに「定義へ移動」「すべての参照を検索」を追加
	スクリプトエディタのラベル一覧表示をアウトライン解析を使用する形に修正
	hsp3utf,hsp3_64ランタイム起動時にマルチバイト文字のパスが正しく認識されない不具合を修正
	変数の代入時にデバッグログを出力するためのlogmesv,logmesva命令を追加
	追加のスクリプトファイルを簡易指定するためのプリプロセッサ命令、#useを追加
	変数の宣言を行うためのプリプロセッサ命令、#varを追加
	変数の型固定・値固定を設定するためのvarprop命令を追加
	変数型の変更を禁止する#varint,#vardouble,#varstr等のプリプロセッサ命令を追加
	変数の宣言と初期化の機能を更新、strict.asモジュールを追加
	mouse命令の設定オプション2を追加
	width命令にウインドウ座標設定オプションを追加
	Windowsのボリューム設定、音量レベルメーター取得のためのmod_mmaudio.asモジュールを追加
	mod_vpad,mod_hsptvresモジュールを更新
	珠音ドットフレームワークを更新、ジャンプアクション、バーチャルパッドに対応
	珠音ちゃん・プロ生ちゃん SD 上半身コラボ素材を追加
	マップエディタ(Tamamap)の更新
	SQLeleプラグインに付属するsqlite3.dll をver3.43に更新(sprocket)
	UTF8ソース変換時のメモリリークを修正
	[hspcmp] UTF8で記述されたソースから出力文字コードを判別して出力する-jオプションを追加
	[hspcmp] HSP3ソースの解析を行うオプションを追加、dllにも命令を追加
	[hspcmp] UTF8で記述されたソースの全角スペースが正しくスキップされない不具合を修正
	[hspcmp] UTF8で記述されたソースのBOMを認識できるように修正
	[hspinet] ファイルやデータのSHA256ハッシュ値を取得するfilesha256、varsha256命令を追加
	[HSP3Dish][Windows] ActiveXを除くCOMオブジェクトの動作をサポート
	[HSP3Dish][Windows] devcontrol命令によるサウンドシステムのON/OFF制御を追加
	[HSP3Dish][Windows] #packopt hideによる初期ウインドウの非表示に対応
	[HGIMG4][Windows] Angle最新版の初期化時背景色が黒になるように修正

	2023/07/26 3.7 beta6

	hspoggプラグインのoggファイル再生時のメモリ使用量を抑制するように修正
	packdir_make_listツールでdpmファイルが作成できなかった不具合を修正(しまくろねこ)
	dish P Helperツールにテクスチャ補正のオプションを追加(しまくろねこ)
	hsp3js変換時にresフォルダが空の場合でもres/shadersをパックするように修正
	[HGIMG4] マテリアルのテクスチャ詳細設定を行うためのgpmatprmf命令を追加
	[HSP3Dish] 標準スプライトのes_effect命令で指定する乗算色が有効になるように修正
	[HSP3Dish] 標準スプライトの表示倍率を指定した時に表示が消えることがある不具合を修正
	[HSP3Dish][Windows] マウスホイール値(mousew)が正しく取得されない不具合を修正
	[HSP3Dish][Windows] デバイスロスト時の復帰処理中にシステムエラーが発生することがある不具合を修正
	[HSP3Dish][Windows] circle命令で線による円が正しく描画されなかった不具合を修正
	[HGIMG4] gpnodeinfo命令のGPNODEINFO_NODEオプションで得たIDでgetwork命令を使用することで親階層からのローカル座標を取得するように修正

	2023/04/14 3.7 beta5

	hspoggプラグインのメモリリークを修正
	バーチャルパッドをサポートするmod_vpadモジュールを追加
	DPM2ファイルパックのファイル形式を修正、β4までのdpmファイルとは互換性がありません
	オブジェクトが配置されている画面を閉じる時に不正終了することがある不具合を修正
	β4までの#pack/#epack命令の仕様をHSP3.6互換に戻し新規に#packdir/#epackdir命令を追加
	β5の仕様に合わせてpack_make_listツールをpackdir_make_listツールに変更
	シンプルなzipファイルの圧縮解凍をサポートするzipfile.asを追加
	[HSP3Dish] input命令で複数の入力を配置した際にカーソル位置がずれることがある不具合を修正
	[HSP3Dish] picload/celload命令実行後に画像サイズが正しく反映されないことがある不具合を修正
	[HSP3Dish] 標準スプライトのBGマップ描画と当たり判定の機能を拡張、対応する命令を追加
	[HSP3Dish][dotfw] 背景としてBGマップを設定できるように修正
	[HSP3Dish][dotfw] 背景のスクロールが正しく動作しない不具合を修正
	[HSP3Dish][dotfw] マップアクションサポートの命令セットを追加
	[HSP3Dish][android] β4版でストレージ保存されたファイルがexist命令で認識されない不具合を修正
	[HSP3Dish][Windows] プラグイン互換性を向上、hspoggプラグインの動作サポート
	[HSP3Dish][Windows] スプライト描画時のUV座標計算を範囲外のドットが出ないように修正
	[HSP3Dish][Windows] cls命令実行後にカーソル位置がリセットされる不具合を修正
	[HSP3Dish][Windows] dialog命令によるコモンダイアログの呼び出しに対応(Windows版のみ)
	[HSP3Dish][Windows] 解像度よりも大きなウインドウを作成した際にマウス座標が正しく反映されない不具合を修正
	[HGIMG4] gpsetprmのPRMSET_USEGPMATでマテリアルを設定後に半透明描画されなくなる不具合を修正
	[HGIMG4] gpnodeinfo命令でgpplateやgpfloorで作成されたオブジェクトのマテリアルが取得できない不具合を修正

	2022/12/01 3.7 beta4

	hspoggプラグインの.oggファイル再生をオンメモリに切り替えpackfileに対応
	celload命令のパラメーターに既存の画像を再利用するオプションを追加
	mmload命令でメモリストリームからの読み込みに失敗することがある不具合を修正
	noteadd命令の引数でnotefind関数を使用した場合に書き込み内容が壊れる不具合を修正
	mes/print命令による表示が1023文字で強制的に改行される不具合を修正
	[HSP3Dish] mes/print命令の改行処理が標準ランタイムと異なる不具合を修正
	[HSP3Dish] 使用するテクスチャの上限数が512までだった制限を撤廃
	[HSP3Dish][hsp3js] 連続する空白を含む文字列表示の横幅がずれる不具合を修正(zakki)
	[HSP3Dish][Windows] input命令で一部の記号入力が反映されなかった不具合を修正
	[HSP3Dish][Windows] screen命令によるサイズ変更でウインドウの入力が反映されなくなる不具合を修正
	[HSP3Dish][Windows] mes/print命令の空白に不要なピクセルが含まれる不具合を修正
	[HGIMG4] クローンされたノードが半透明表示できなかった不具合を修正
	[HGIMG4] ヘルプに記載されたgpsetprmon/gpsetprmoff命令が使用できなかった不具合を修正
	[HGIMG4] event_pos命令の補間オプションでデフォルト値がHGIMG3と異なる(リニア)だった不具合を修正
	[HGIMG4] gpdraw命令に物理オブジェクトのデバッグ表示を行うオプションを追加
	[HGIMG4] gpnodeinfo命令にノードのマテリアル情報を取得するオプションを追加
	[HGIMG4] resフォルダ以下のテクスチャ読み込みに失敗した場合カレントフォルダも参照するように修正
	[HGIMG4] gpbconvツールのプレビュー機能を実装
	[HGIMG4] gpbconvツールに別ファイルアニメーションの参照機能を追加
	[HGIMG4] gameplay-encoderのUTF8ノード名を正しく表示するように修正
	[HGIMG4] gameplay-encoderのマテリアル名補正オプション(-u)を追加
	[HGIMG4] FBXから.gpbファイルの変換時に基本のブレンド設定を出力するように修正
	[HGIMG4] FBXから.gpbファイルの変換時にマテリアルのDiffuse,Ambient色が黒の場合でも出力するように修正
	[HGIMG4] setalpha命令の透明度が3Dモデルに正しく反映されない不具合を修正
	[HGIMG4] gpmatprm16命令でマトリクスパラメーターが正しく設定されない不具合を修正
	[HGIMG4] テクスチャのUVオフセット/リピート指定のためのgpmatprm2命令を追加
	[HGIMG4] 任意のテクスチャマテリアルをシェーダーパラメーターとして設定するgpmatprmp命令を追加
	[HGIMG4] マテリアル生成オプションにGPOBJ_MATOPT_UVOFFSET,GPOBJ_MATOPT_UVREPEATを追加
	[HGIMG4] オフスクリーンのスプライト描画時のために解像度を再設定するes_screen命令を追加
	[HGIMG4] setobjlight命令でライトが反映されないモデルがある不具合を修正
	[HGIMG4] シェーダーソース(.frag/.vert)の先頭にある#versionディレクティブを維持するように修正
	[HGIMG4][Windows] カレントフォルダ移動時にもシェーダーファイルが正しく参照されるように修正

	2022/09/09 3.7 beta3

	#packopt命令が編集中のソースにない時にアイコン埋め込みに失敗する不具合を修正
	β2版で複数のdpmファイル読み込み時にファイルが正しく検索されない不具合を修正
	[HSP3Dish][Windows] デバイスロストからの復帰時に画面クリアされない不具合を修正
	β2版でbsave命令のオフセット指定が反映されていなかった不具合を修正
	珠音ドットフレームワーク及び16ドットサイズ珠音素材を追加
	[HGIMG4] 複数のオブジェクトに同一のイベントを適用した際に正しく動作しないことがある不具合を修正
	[HGIMG4] screen命令使用時にテクスチャキャッシュがクリアされない不具合を修正

	2022/06/02 3.7 beta2

	HSPDAプラグインにバイナリデータ検索を行うbinmatch命令を追加
	β1版でhsptvフォルダ参照の動作がHSP3.6と異なっていたのを修正
	DPMファイル及びexe埋め込みファイルにフォルダ名と長いファイル名が使用できるように修正
	#pack,#epack命令のファイル指定に'*'記号によるワイルドカードが使用できるように修正
	button gosubによるボタン処理時にエラーが発生した際にウインドウが閉じる不具合を修正
	コールバック先でonkey gotoの割り込みがかかった際にエラー43が出る不具合を修正
	packoptリスト作成ツールを同梱、スクリプトエディタのメニューに追加
	簡易的な麻雀の処理をまとめたmod_mahjongモジュールとサンプルを追加
	[HSP3Dish] boxf命令の塗りつぶし範囲が標準ランタイムと異なる不具合を修正
	[HSP3Dish][android] スタティックライブラリ導入によりHGIMG4のビルド時間を短縮
	[HSP3Dish][Windows] デバイスロスト時にアプリが停止する不具合を修正
	[HSP3Dish][Windows] celload命令により選択したフォントがリセットされる不具合を修正
	[HSP3Dish][hsp3js] HSP3.7beta1でstick命令の入力が正しく動作しなかった不具合を修正
	[HSP3Dish][hsp3js] ブラウザのローカルストレージに保存するIDBFSサポートを追加
	[HSP3Dish] Dish P Helper 及び、Android/iOSアイコン作成ツールをパッケージに同梱
	[HSP3Dish] mmload命令でwavファイルを同じIDに読み込む際にメモリリークが起こる不具合を修正
	[HGIMG4] gpsetprm命令でマテリアルID書き換え時に反映されるように修正
	[HGIMG4] get〜系の命令で指定された変数が配列の場合に要素が拡張されない不具合を修正
	[HGIMG4] イベント内で複数のパラメーター変化を行った際にHGIMG3との差異が出る不具合を修正
	[HGIMG4] OBJ_TIMERによるタイマーが正しく動作していなかった不具合を修正
	[HGIMG4] 3Dモデルのclone時に正しくマテリアルがクローンされないことがある不具合を修正

	2022/01/17 3.7 beta1

	hspextプラグインのpipeexec、pipeget命令のオプションを追加
	アルファチャンネルを含む.pngファイルの読み込み時にブレンドの誤差が起こる不具合を修正
	hsp3cランタイムの運用を廃止、Peasエディタの同梱を廃止
	HSPスクリプトエディタのレガシーメニューを廃止
	hsedsdkでメモリリークとハンドルリークが起きる不具合を修正
	UTF8ランタイム使用時のコンパイルに_hsputf8ラベルを定義するように修正
	複数行文字列の終端がない場合に落ちることがあった不具合を修正
	mod_joystick2モジュールでジョイスティック複数接続時のエラー処理を修正
	モジュール型配列変数の要素1以降の書き込みでエラーになる不具合を修正
	#constで定義されたdouble型実数値の有効桁数が少なかった不具合を修正
	[HSP3Dish][android] HSP3Dish HelperのGradleビルドに対応
	[HSP3Dish][android] 端末エミュレータ上で単色描画が正しく行われない不具合を修正
	[HGIMG4] fbx->gpb変換時のマテリアル名修正オプションを追加

	2021/08/10 3.6

	HSPデモンストレーションの音量を変更
	ヘルプとドキュメントの更新

	2021/07/23 3.6 RC2

	winobj命令で生成されたウインドウに色の変更メッセージが送られる不具合を修正
	実行ファイル作成時に付加されるバージョン情報の区切り文字をドットに修正

	2021/07/15 3.6 RC1

	[HGIMG4] 3Dモデルの階層情報を取得するgpnodeinfo命令を追加
	[HSP3Dish] 標準スプライトのes_setparent命令を実装
	スクリプトエディタのユーザー色分け設定がラベルに反映されない不具合を修正
	β2版でmouse命令の動作が過去のものと異なっていたのを修正、ヘルプに追記
	[HGIMG4][Windows] gpreset命令実行時のメモリリークを修正
	[HGIMG4][Windows] β5版でウインドウアイコンが表示されない不具合を修正
	[HGIMG4][Windows] β5版でフルスクリーンの指定が動作しない不具合を修正
	[HSP3Dish] 標準スプライトで自動回転・ズームを行うためのes_arot命令を追加
	[HSP3Dish] 標準スプライトのes_fade命令にαチャンネルのフェード機能を追加
	[HSP3Dish] 標準スプライトのes_draw命令がstatに値を返すように修正
	[hspext] dirlist2命令の戻り値(ファイル数)が少なくなる不具合を修正
	[hsp3utf] プラグインに渡されるBMSCR構造体のサイズが一部ずれていた不具合を修正
	hsedsdkのサービス、HspFunc_getobj/HspFunc_setobjのオブジェクトID範囲チェックを追加
	noteadd命令に4094文字以上の文字列を指定した際に不安定になる不具合を修正
	実行ファイル作成時にコマンドライン引数に余計なスペースが入る不具合を修正
	拡張プラグインを使用した際の終了時にエラーイベントが記録される不具合を修正
	[hspinet] リクエストに関する文字列の長さ制限を撤廃
	Windows版のHSP3,HSP3CL,HSP3Dishでdirinfo,sysinfoが同じ仕様になるように修正
	Linux/RaspberryPi版のスクリプトエディタにF1キー(ワンキーヘルプ)の機能を追加
	#comoptにより未初期化変数エラーを有効にした際に標準のプラグインやモジュールでエラーが出るものを修正
	[HGIMG4] β5版でオブジェクトのレンダリンググループ設定が正しく反映されていなかった不具合を修正
	[HGIMG4] β5版でモデル形状のコリジョンを使用した際にノード座標が取得できなくなる不具合を修正
	[HSP3Dish][Windows] celbitmap命令の描画画面読み出しに失敗することがある不具合を修正
	[HGIMG4][Windows] アプリ終了時にエラーが発生することがある不具合を修正

	2021/03/03 3.6 beta5

	β4版のmes(print)の表示位置が配置オブジェクトを出すとおかしくなる不具合を修正
	[hspext] computb命令が変数バッファサイズを少なく認識する不具合を修正
	[HGIMG4] ポイントライト、スポットライト及びマルチライトの機能を追加
	[HGIMG4] 物理挙動の接触判定情報を取得するgppcontact、gppinfo、gppraytest命令を追加
	[HGIMG4] 自由なポリゴン形状を定義できるメッシュ機能を追加
	[HGIMG4] ポストエフェクトを制御するモジュールmod_posteffectを追加
	[HGIMG4] オフスクリーンに対してmes命令を使用した場合に座標やサイズが正しく反映されない不具合を修正
	[HGIMG4] OBJ_HIDEを指定した非表示オブジェクトも動作のみ行うように修正
	[HGIMG4] fvdir命令が正しく動作しなかった不具合を修正
	[HGIMG4] gppbind命令にモデル形状のコリジョンを使用するオプションを追加
	[HGIMG4] gppbind命令でモデルを指定した場合、中心座標がずれることがある不具合を修正
	[HGIMG4] gppbind命令使用時に1フレームだけ原点にモデルが表示される不具合を修正
	[HGIMG4] getcoli命令で箱モデルの半径が正しく判定されない不具合を修正
	[HGIMG4] event_addang命令が正しく動作しなかった不具合を修正
	[HGIMG4] テクスチャのαチャンネル値が低いピクセルは描画を破棄するように修正
	[HGIMG4] GPDWIN2など一部の機種でOpenGLの初期化に失敗する不具合を修正
	[HGIMG4] フォント使用時に存在しないコードを指定した際に落ちることがあった不具合を修正
	[HGIMG4] gpcameraの平行投影でアスペクト比が反映されていなかった不具合を修正
	[HGIMG4] FBXから.gpbファイルの変換時に単一のノードを変換するように修正
	[HGIMG4] gfilter命令の仕様がHSP3Dish標準と異なっていたのを修正
	[HSP3Dish][hsp3js] HGIMG4の描画を高速化
	[HSP3Dish][hsp3js] htmlテンプレートの選択機能を追加
	[HSP3Dish][android] β4版のライブラリフォルダ名が間違っていた不具合を修正
	[HSP3Dish] β4版の標準スプライトでY座標のクリッピングが正しく設定されていなかった不具合を修正

	2020/09/24 3.6 beta4

	strrep命令で32Kを超える文字列置き換えを行った際にバッファの内容が壊れる不具合を修正
	UTF8のソースが引数付きマクロの展開に失敗することがある不具合を修正
	アイコン埋め込み(iconins.exe)がhsp3dishの書き換えに失敗する不具合を修正
	コールバックルーチンのエラーチェックからlogmes命令を除外
	[HSP3Dish][hsp3js] 200個を超える大量のデータファイルを変換した際にhtmlの変換に失敗する不具合を修正
	[HSP3Dish][hsp3js] 日本語の文字列表示でブラウザが応答しなくなる不具合を修正
	[HSP3Dish][hsp3js] OBAQ機能の描画が正しく行われなかった不具合を修正
	[HSP3Dish][android] リリース時のapk署名に、署名スキームV2が適用されるように修正
	[HSP3Dish][Windows] MCI命令をサポート(Windowsプラットフォームのみ)
	[HSP3Dish][Windows] screen命令での画面サイズ変更時に.mp3などのループ再生ができなくなる不具合を修正
	[HSP3Dish][Windows] celload,picload命令で64文字以上のパス名がエラーになる不具合を修正
	[HSP3Dish] 標準スプライトのESDRAW_NOSORTオプションが正しく動作していない不具合を修正
	[HSP3Dish] β3版の標準スプライトでスプライト描画後の割り込み時のiparamが正しく設定されなかった不具合を修正
	[HGIMG3] HSP3のtype拡張プラグインを指定した場合に正しく動作しないことがある不具合を修正
	[HGIMG4] フォントの生成時にメモリリークが起こる不具合を修正
	[HGIMG4][Windows] packfileからの読み込み及びdpmファイルに仮対応(Windowsプラットフォームのみ)

	2020/07/09 3.6 beta3

	mes(print)命令に影付け、縁取りなどの描画オプションを追加
	ユーザー定義による配置オブジェクトを追加するlayerobj命令を追加
	on〜命令などによる割り込みコールバックルーチンの制約を厳格化してエラーチェックを追加
	500時間以上起動したPC上でwait,await命令の待ち時間が正しく反映されなくなる不具合を修正
	スクリプトエディタの最終行へ移動メニューが動作していなかった不具合を修正
	hsedsdkのhsed_gettextで最後の1文字が取得されない不具合を修正
	モジュール型変数に別のモジュール型変数値を代入した際に元のデストラクタが呼ばれない不具合を修正
	stick命令互換で動作するmod_joystick2.asモジュールを追加
	β2版でgroll命令の制限が正しく行われていなかった不具合を修正
	β2版でobaq関連命令が正しく初期化されていなかった不具合を修正
	webdish素材をhsptvフォルダ内に追加、hsptv_res.asヘッダを追加
	[hsp3utf] getpath命令の小文字変換で文字列が壊れることがある不具合を修正
	[hsp3_64] ラベル型の引数受け渡しでエラーが発生する問題を修正
	[hspcmp] hsphelpフォルダのキーワード検索オプションを追加
	[HSP3Dish] celbitmap命令に描画画面の読み出しオプションを追加
	[HSP3Dish] フォント描画時の負荷を軽減
	[HSP3Dish] アプリケーション終了処理時の不正なアクセスを修正
	[HSP3Dish] mes(print)命令の改行処理がHSP3標準と違っていたのを修正
	[HSP3Dish] objmode,objsel,objprm,objcolor,objenable命令のサポートを追加
	[HSP3Dish] hsp3js及びLinux版のマルチタッチ情報取得に対応
	[HSP3Dish][hsp3js] exec,dialog命令に対応
	[HSP3Dish][hsp3js] デバッグ情報を付加して変換するオプションを追加
	[HSP3Dish][hsp3js] WebAssembly形式で変換するオプションを追加
	[HSP3Dish][hsp3js] mobileデバイスのタッチ操作が反映されない不具合を修正
	[HSP3Dish][hsp3js] mobileデバイスで音が再生されない不具合を修正
	[HSP3Dish][Linux] exec/wait/await命令が特定の条件で無限ループになる不具合を修正
	[HSP3Dish][Linux] bgscr,screen命令による表示サイズ変更、及びフルスクリーン化に対応
	[HSP3Dish] input,chkbox命令による配置オブジェクトをサポート(Windows/Linuxのみ)
	[HSP3Dish] GUI配置オブジェクトのフォントをHSP標準に近い形に修正
	[HSP3Dish] hspdxプラグイン互換のスプライト命令を追加
	[HGIMG4] 画像ファイル処理をHSP3Dishと同一に修正、各種フォーマットに対応
	[HGIMG4] 大きな画像のコピー時にUVが正しく反映されないことがある不具合を修正
	[HGIMG4] .gpbファイルの名前が2文字以下の時にマテリアルの読み込みに失敗する不具合を修正

	2020/01/14 3.6 beta2

	システムの言語設定に応じてエラーメッセージを変更するように修正
	stick命令で[Z][X][C][A][W][D][S]のキー情報を取得できるように修正
	#const定義された実数の評価時にエラーが発生することがある不具合を修正
	#const定義の演算時に1.0未満の値で除算した際にエラーが発生する不具合を修正
	float値(1.0f等)の表現を実数(double)値として評価するように修正
	mouse命令のパラメーターを追加、マルチモニタ環境時にマイナス値を指定できるように修正
	スクリプトで使用している文字列をまとめて置き換えるstrexchange命令を追加
	一部の環境でActiveXコントロールが正しく初期化できなかった不具合を修正
	mod_menu.asモジュールがuser32.asと同時に使用できるように定義を修正
	複数のウインドウ使用時にmod_stbar.asが正しく動作しない不具合を修正
	oncmd,onexit,onclickによる割り込み実行時にエラーが表示されない不具合を修正
	dirlist命令の検索結果に長いファイル名があった際に取得中断されてしまう不具合を修正
	パレットモードのPNGファイル読み込みをエラーとするように修正
	objinfo関数に配置オブジェクト固有の情報(exinfo1,exinfo2)を追加
	プリプロセッサのシステムマクロとして、ランタイム名を示す__runtime__を追加
	mod_appconfig.as,mod_dirboxモジュール及び、サンプルを追加
	mmstop,mmvol,mmpan,mmstatの仕様を標準命令とHSP3Dishで共通化できるように修正
	スクリプトエディタのSDK機能のHSED_GETCARETPOSが無効になっていた不具合を修正
	getpath関数で$5cコードを含む全角が正しく認識されなくなっていた不具合を修正
	[HGIMG4] getobjname命令で正しい名前が取得できない不具合を修正
	[HGIMG4] フォントを使用した日本語を含む文字列表示に対応
	[HGIMG4] 2D描画に関するシェーダーファイルを内蔵する形に修正
	[HGIMG4] HGIMG4ツールを更新、マテリアルの確認と編集機能を追加
	[HGIMG4] システムリクエストにSYSREQ_USEGPBFONT項目を追加
	[HSP3Dish] 配列変数の内容をグラフィックデータとして画面に転送するcelbitmap命令を追加
	[HSP3Dish] 2D描画時の座標変換式を指定するviewcalc命令を追加
	[HSP3Dish][android] 一部の機種でダイアログの改行コード文字が表示される不具合を修正
	[HSP3Dish][android] AndroidManifest.xmlにvibrateを必須としない設定を追加
	[HSP3Dish][Windows] hsp3dish.iniファイルがない場合に起動に失敗する不具合を修正
	[HSP3Dish][Windows] エラー発生時にDebugウインドウが閉じないことがある不具合を修正
	[HSP3Dish][Windows] onexit,onkey,onclick,oncmd命令による割り込みをサポート
	[HSP3Dish][Windows] bgscr,screen命令による表示サイズ変更、及びフルスクリーン化に対応
	[HSP3Dish][Windows] dialog命令実行後にエラーが出ることがあった不具合を修正
	[HSP3Dish][Windows] ginfoによるデスクトップサイズの取得に対応
	[HSP3Dish][iOS] 新しいiOS上でアプリが起動しないことがある不具合を修正
	[HSP3Dish][hsp3js][linux] MP3サウンド再生に対応
	[HSP3Dish][android][iOS][hsp3js][linux] プログレッシブJPEGの読み込みに対応

	2019/09/03 3.6 beta1

	64bitランタイム(hsp3_64)はUTF-8を規定の文字コードに修正
	MML記述によるFM音源再生をサポートするmucom88プラグインを標準で同梱
	Steamプラットフォーム用のAPIを呼び出すためのhspswプラグインを標準で同梱
	シンプルなzipファイルの圧縮解凍をサポートするzipfile.asを追加
	mesboxによるテキスト入力サイズが32768以上の時に余計な文字列が付加されることがある不具合を修正
	mesboxによるテキスト入力で全選択(ctrl+A)のキーを有効に修正
	24bitカラーコードを指定するためのrgbcolor命令を追加
	objcolor命令を追加、objmode命令のオプションにより配置オブジェクトの文字色・背景色指定が可能になります
	[HSP3Dish][Windows] webdish素材をhsptvフォルダ内に追加、webdish.asヘッダを追加
	[HSP3Dish][Windows] 標準でhsptvフォルダ内のリソースを検索するように修正
	[HSP3Dish][android] android4.3.1(API18)以上のOSサポートに修正
	[HSP3Dish][android][iOS][hsp3js] HSP3Dish Helperの更新
	[HSP3Dish][android] hsp3dhのプロジェクト新規作成でarm64,x86コードを標準で生成するように修正
	[HSP3Dish][android] AndroidManifest.xmlにtargetSdkVersionを指定するように修正
	[HSP3Dish][android] リリース時にapksignerを使用するように修正
	[hspinet] http/httpsリクエストでPUT/DELETEメソッドに対応(inovia)
	[HGIMG4] gpscrmat命令を追加
	[HGIMG4] gpcamera命令に平行投影カメラのオプション設定を追加
	[HGIMG4] .gpbファイルの読み込みを高速化
	[HGIMG4] .gpb出力の構造によって正しく表示できないモデルがあったのを修正
	[HGIMG4] .gpb出力時に独立したFBXアニメーションファイルをマージする機能を追加
	[HGIMG4] .materialファイル出力のテクスチャフォルダ名を修正
	[HGIMG4] ボーン構造の階層にあるポリゴンが描画されない不具合を修正
	[HGIMG4] ボーン数の異なる同名マテリアルの生成に失敗する不具合を修正
	[HGIMG4] gpclone命令で正しくアニメーションがクローンされない不具合を修正
	[HGIMG4] gpclone命令でクローンされた元のモデルが非表示の時にエラーとなる不具合を修正
	[HGIMG4] システムリクエストでSYSREQ_LOGWRITEに0を設定した際にログを生成しないように修正
	[HGIMG4] 角度値で回転を取得するgetang、getangr命令を追加
	[HGIMG4] XYZ回転の順番が異なるsetangy、setangz等の命令を追加
	[HGIMG4] カスタムシェーダー使用時に落ちることがあった不具合を修正

	2019/02/16 3.51

	HSP3.51通常版を追加
	->エディタの背景を無効にするオプションを追加

	2018/06/27 3.51p

	HSP3.51プロ生ちゃんエディションを追加
	->エディタの背景、HSPTVブラウザ、サンプル、デモの追加修正

	2018/06/19 3.51

	[HSP3Dish][Linux] Linux版スクリプトエディタの更新
	[HSP3Dish][Linux] dirinfo関数の取得に対応
	[hspcmp] オブジェクトファイルからランタイムを取得して起動する機能を追加
	コンソール版HSP3のランタイムを指定するhsp3cl.asを追加
	文字列型変数の配列自動拡張時にメモリが解放されないことがある不具合を修正
	HSP Docs Library(ドキュメントビューアー)、Artlet2D、d3module,SQLeleを最新版に更新
	スクリプトを実行ファイルに変換するサンプル(mkexe.hsp)を追加
	inoviaさん、Tetr@podさんによる改造版HSP3スクリプトエディタの更新を取り込み、以下の機能を追加しています
	->カスタムキーワード色分け/ファイルの自動バックアップ/ウィンドウの分割
	->各種フォントの対応/背景画像表示/リンクラベル/置換機能の高速化

	2017/10/15 3.5

	mes/print命令で空行でもカレントポジションが右に移動する不具合を修正
	3.5で新規追加された機能のサンプルをフォルダ「new35」に移動
	IE9以降の環境でmod_img.asが動作しなかった不具合を修正
	[HSP3Dish][android] hsp3dhのリリース時にjarのタイムスタンプを付加するように修正
	[HSP3Dish][Windows] mmvol命令に-1000以下を指定しても反映されない不具合を修正
	[HGIMG4] event_setang,event_ang命令が実行できない不具合を修正
	[hsp3js] HGIMG4のサポートを追加(一部制約あり)

	2017/09/21 3.5 beta6

	#bootopt notimer が正しく機能していない不具合を修正(HSP3BT#22)
	mod_joystick.asでエラーが発生した場合の処理を修正
	オフィシャル珠音2D素材1.2(tamane_s,tamane_b)とサンプルを追加
	[HGIMG4] クォータニオン情報を扱うsetquat,getquat命令を追加
	[HGIMG4] HGIMG3と同様のイベント制御機能を追加
	[HGIMG4] アニメーションの更新を固定フレームレート対応に修正
	[HGIMG4] オブジェクト削除時のメモリリークを修正
	非推奨となるllmod3,hspdx,hgimgのドキュメント・サンプルを除外

	tds12さんによるOpenHSP修正を反映
	[hsp3utf] getpathが関係する処理（picloadやmmload）の問題を修正
	コールバックモジュール・modclbk3.hspを同梱

	inoviaさんによるOpenHSP修正を反映
	#packopt命令によるアイコン書き換え、バージョン定義、UPX圧縮に対応
	デバッグウインドウのログサイズ拡大、消去ボタンの追加
	[hspinet] httpsダウンロード、バイナリファイルの保存に対応

	2017/06/07 3.5 beta5b

	3.5beta5aでファイルの暗号化が正しく行なわれない不具合を修正

	2017/05/29 3.5 beta5a

	[HGIMG3] OBJ_SORT指定によるソートに失敗することがある不具合を修正
	[HGIMG4] getcoli命令で3Dモデルの半径が正しく指定できない不具合を修正

	tds12さんによるOpenHSP修正を反映
	[hsp3_64] gsquareやgrotateなどの変形コピー時にクラッシュする問題を修正
	[hsp3utf] DLL関数名はASCIIだとしてSJISに変換しないよう変更
	[hsp3utf] sendmsgの文字列が正しく変換されない不具合を修正
	[hsp3utf] 文字コード変換時のNULL入力に対応
	[hsp3utf] utf8コードの途中でNULLが入った場合にコピーしすぎる問題を修正

	kurogomaさんによるOpenHSP修正を反映
	文字列型変数の領域拡張時にメモリーリークが起こる可能性を修正
	[hspcmp] ローカルのラベルがグローバルのラベルで上書きできる問題を修正
	[hsp3utf] DLL呼び出しのcallfunc機能を改善
	[スクリプトエディタ] 空白だけの行にてEnterキーを押したとき、インデントスペースを残す問題を修正
	[スクリプトエディタ] 行の最初の文字を選択してEnterキーを押すと、行の最初の文字を残す問題を修正
	[スクリプトエディタ] 文字列を空文字列に置き換えると、「元に戻す」が正しく機能しない問題を修正
	[スクリプトエディタ] 「元に戻す」が正しく動作しないことがある問題を修正
	[スクリプトエディタ] 自動インデントが無効になっていても、インデントスペースがアスタリスクで削除される問題を修正
	[スクリプトエディタ] テキストを選択しているときにテキストを編集するときに、エディタがクラッシュする可能性がある問題を修正

	K-sさんによるOpenHSP修正を反映
	[hsp3js] エラーメッセージの文字化けを修正
	[hsp3js] circle命令の分割数を20->32に変更
	[hsp3js] gmulcolor命令が正しく機能していなかったのを修正
	[hsp3js] getkey命令が機能するように変更
	[hsp3js] stick命令でキー操作(zxcasdw)を追加、右クリックの取得に対応
	[hsp3js] サウンドの使用可能チャンネル数を 16 から 32 に変更
	[hsp3js] mmload命令にループ開始・終了時間パラメータを追加
	[hsp3js] mmvol,mmpan,mmstatが正しく動作していなかったのを修正

	2017/03/17 3.5 beta5

	[HSP3CNV] 長い関数名の使用時にCコード生成に失敗することがある不具合を修正
	スクリプトエディタのラベル一覧が途中までしか表示されないことがある不具合を修正
	[hsp3] varptr関数で変数のバッファサイズをシステム変数strsizeに返す仕様を撤回、varsize関数を追加して取得できるように修正
	[HGIMG4] ゲームエンジンを更新、いくつかの命令を追加。詳細はhgimg4.txtをご覧ください
	[HSP3Dish][Linux] Linux版を追加
	[HSP3Dish][iOS] XCode8用のプロジェクトファイルにアップデート
	[HSP3Dish][iOS] HGIMG4プロジェクトのビルドをサポート(β対応)
	[HSP3Dish][iOS] XCode上で実機用にコンパイルした際にリンクエラーが出ることがある不具合を修正
	[HSP3Dish][android] firebaseベースのAdMobに対応、インタースティシャル広告の表示に対応
	[HSP3Dish][android] hsp3dhで長いソースのビルド時にエラーが発生する不具合を修正
	[HSP3Dish][android] 加速度・ジャイロセンサー値の取得に対応
	[HSP3Dish][android] 一部の機種でテクスチャが正しく設定されなくなる不具合を修正
	[HSP3Dish][iOS][android] #deffuncで配列をvarで渡した場合、値が正しく取得できないことがある不具合を修正
	[HGIMG3] β4版でlogmes命令が使えなくなっていた不具合を修正
	β4版でDLL呼び出しエラーが起動時にチェックされていた不具合を修正
	mes/print命令で第2パラメーターに1を指定した場合、改行しない機能を追加
	DupPtrを入れ子にすると正常に動作しない問題を修正
	[hsp3_64] ObjImageでランタイムがクラッシュする問題を修正
	[hsp3_64] リストボックス、コンボボックスが正常に動作しない問題を修正
	[hsp3_64] DLL呼び出し時にパラメータが正常に渡らない問題を修正
	[hsp3_64] DLL呼び出し時にHSP例外処理が働かない問題を修正
	[hsp3utf] DLL呼び出し時にランタイムがクラッシュする問題を修正

	2016/08/08 3.5 beta4a

	外部DLLに渡すwstr,sptr型のパラメーターが正しく動作していない不具合を修正	β4版でoncmd命令が正しく使用できない不具合を修正

	2016/07/29 3.5 beta4

	オフィシャル珠音2D素材(tamaface)とサンプルゲームを追加
	シリアル接続によるarduino制御のためのモジュール、arduino.asを追加
	hspextプラグインにバイナリデータを送信を行なうcomputb命令を追加
	スクリプトエディタのツールメニューを整理(非推奨機能をサブメニューに移動)
	ソースに全角文字がある際にスクリプトエディタのラベル一覧で正しくラベルが検出されなくなる不具合を修正
	拡張プラグインサンプルhpi3sample.asが動作しない不具合を修正
	mesbox,input命令による入力ボックスから32767以上の文字列を取得できない不具合を修正
	strrep命令を入れ子にすると意図した動作をしない不具合を修正(HSP3BT#17)
	文字列をUTF8で出力するオプションを#cmdopt命令に追加
	[HSP3Dish][Windows] mmstat命令でwavファイル以外の再生状態取得ができなかった不具合を修正
	[hsp3utf] UTF-8版hsp3ランタイム(hsp3utf)を同梱
	[hsp3utf] UTF-8とANSI(SJIS)の相互変換を行なうcnvstoa命令、cnvatos関数を追加
	Win32コマンドライン版コードコンパイラ(hspcmp)を同梱

	tds12さんによるOpenHSP修正を反映
	デバッグウィンドウをUTF8文字コードに対応

	ue_daiさんによるOpenHSPバグ修正と機能拡張を反映
	[hsp3][Windows] oncmd命令で未登録のウインドウメッセージが有効化できる不具合を修正
	[hsp3][Windows] stick,getkey命令をシステムのマウスクリックの左右反転設定に対応
	[hsp3] logmes命令がmes命令と同様に任意の型の値を受け取るように修正
	[hsp3] limit,limitf関数の下限、上限のパラメータを省略可能に修正
	[hsp3] 配列変数の要素拡張を高速化
	[hsp3] varptr関数実行時に変数のバッファサイズをシステム変数strsizeに返すように修正
	[hsp3_64] モジュール変数のデータ(STRUCTPRM)が破損する問題を修正
	[hspcmp] β3のプリプロセッサーが「{」「}」を文の区切り記号として解釈する変更を取り消し(ソース非互換が発生するため)
	[hspcmp] β3のコンパイラでエラーが発生することがある不具合を修正
	スクリプトエディタのフォント設定がASCII文字にしか適用されていなかった問題を修正

	2016/01/19 3.5 beta3

	オフィシャル珠音2D素材(tamadot)を同梱
	デバッグウインドウにコールスタックタブを追加
	[HSP3Dish] 画像コピー時の色乗算値を指定するgmulcolor命令を追加
	[HSP3Dish][iOS] 64bit環境の実行時エラーを修正
	[HSP3Dish][android][iOS] エラー発生時に番号とメッセージを出力するように修正
	[HSP3Dish][android] 推奨SDKをAndroid 5.0.1 (API 21)に変更
	[HSP3Dish][android] ビルド時にHSPライブラリフォルダを参照する方法に変更
	[HSP3Dish][android] β2版でAdMobビルドが正しくできなかった不具合を修正
	[HSP3Dish][android] HGIMG4使用プロジェクトに対応
	[HSP3Dish][android] JDK7以降での署名に対応
	[HSP3Dish][android] zipalignツールの存在を確認するように修正
	[HSP3Dish][android] ダイアログ以外の部分をタッチすると停止する不具合を修正
	[HSP3Dish][Windows] mmvol命令による音量が種類によって異なっていたのを修正

	ue_daiさんによるOpenHSPバグ修正を反映
	[hsp3] 連想配列型のarray/local引数エイリアスを添字をつけずに参照したときに落ちるバグを修正
	[hsp3] ユーザー定義命令/関数でのラベル引数の実装
	[hsp3] sortstrのバグ修正およびsort系命令の高速化
	[hspcmp] hsc3_messizeのバッファサイズ取得の修正
	[hspcmp] マクロタグの名前を最大56文字にする
	[hspcmp] プリプロセスで「{」「}」を文の区切り記号として解釈するように修正
	[hspcmp] #constの後に「double」「int」の型を指定できるように修正
	[hspcmp] #funcで宣言されたDLL関数を、関数としても使用できるように修正
	[hspcmp] モジュール内でlocal指定された関数を、定義する前の行から使用できるように修正
	[hspcmp] 未使用モジュールのコード削除が不完全だった部分を修正
	[hspcmp] シンボルの多重定義エラーで定義された位置を出力するように修正
	[hspcmp] よく見るエラーメッセージの日本語化
	[hspcmp] 文字列や実数値の重複データ削減による出力サイズの最適化を実装

	2015/05/27 3.5 beta2

	[HGIMG4] テクスチャを複数読み込んだ際にエラーが発生する不具合を修正
	[HGIMG4] カメラ経由で解放済みオブジェクトにアクセスしてクラッシュする問題の修正
	[HGIMG4] DirectX9 API使用のランタイム(hsp3gpdx)を追加
	[HSP3Dish] HGIMG4と同等のsetcls、celputm命令をサポート
	[HSP3Dish][Windows] β1版でwavファイルが再生されないことがある不具合を修正
	[hspinet] ftpdirlist命令でメモリが正しく確保されない不具合を修正
	命令の第2パラメーター以降でsysinfo関数を使った際に第1パラメーターの値が変更される不具合を修正
	beta1でobjimage命令が正しく動作しない不具合を修正
	複数行文字列から特定の文字列を持つ行を検索するnotefind関数を追加
	いくつかのサンプルスクリプトを追加
	画像ファイルデコーダーを更新、1,2,4bit PNGに対応
	64bit(x64)版ランタイムのDLL呼び出しに対応
	64bit(x64)版ランタイムのinput命令でエラーが発生する不具合を修正
	64bit(x64)版ランタイムでモジュール変数使用時にエラーが発生する不具合を修正
	HSP3ソースコンバーターで配列展開に失敗する不具合を修正(HSP3BT#11)
	HSP3ソースコンバーターで演算の最適化時にスタックに不整合が起こる不具合を修正
	スクリプトエディタのSDK機能の一部(HSED_GETCARETLINEとHSED_GETCARETPOS)を有効化
	[HSP3Dish][iOS] 64bit環境の実行時にEXC_BAD_ACCESSが発生する不具合を修正
	ドキュメントの一部修正
	[HSP3Dish][android] httpload,httpinfo命令によるネットワークアクセスをサポート
	[HSP3Dish][android] mes命令の改行が認識されない不具合を修正
	[HSP3Dish][android] dialog命令による標準ダイアログ表示をサポート
	[HSP3Dish][android] dpmファイルが認識されないことがある不具合を修正
	[HSP3Dish][android] beta1でmes命令の後でgcopy命令が正しく表示されない不具合を修正

	2015/02/18 3.5 beta1

	64bit(x64)版ランタイム、hsp3_64を追加
	HSP3Dishのnote系命令で行数を間違える不具合を修正
	HSPDAプラグインのsortval,sortstr,sortnote,sortgetを標準命令として実装
	新規プリプロセッサ命令、#bootoptを追加
	#bootopt命令によるタイマー精度の設定変更に対応
	[HSP3Dish] (Windows以外)grect命令の半透明カラー描画が正しく反映されない不具合を修正
	[HSP3Dish][iOS] 最新のiOS及び64bitバイナリのビルド(arm64)に対応
	[HSP3Dish][android] NDK r10、AdMobの更新に対応
	[HSP3Dish][android] hsp3dish.iniの設定取り込みに対応
	[HSP3Dish][android] HSP3Dish Helperの更新
	[HSP3Dish][Windows] httpload,httpinfo命令を追加
	[HSP3Dish][HGIMG4][Windows] (Windows版のみ)プラグイン・外部DLL使用を可能に修正
	長いソースのコンパイル高速化(zakki)

	2014/09/19 3.4(rc2)

	hsp3dish.jsを最新版に更新
	[HGIMG3] SYSREQ_MAXTEXの指定が正常に反映されない不具合を修正
	[HGIMG3] settoonedge命令で正しく輪郭線の色が指定できなかった不具合を修正
	[HGIMG3] addxfile,addxanim命令でエラーを正常に返さない不具合を修正
	[HGIMG3] selcposなどのマクロ命令すべてにglobal指定を追加
	[HGIMG3] ヘルプに補足の追記を行ないました
	スクリプトエディタの「HSPプログラミング・マニュアルを開く」項目が機能していない不具合を修正
	かんたん入力のプリプロセッサ命令で区切り記号が間違っていたものを修正

	2014/07/19 3.4rc1

	HSP3DishスクリプトをWEBブラウザ(WebGL)上で動作させるhsp3dish.jsを同梱
	HSP3Dish helperによるhsp3dish.jsサポートを追加
	hspcmp.dllプラグインのhsc_comp命令にUTF8出力オプションを追加
	hspsockプラグインでサーバーが同一ポートを共有できるように修正
	[HSP3Dish][android] 一部のandroid端末で画面枠外にゴミが描画される不具合を修正

	2014/07/04 3.4β5

	userdef.as及びhspdef.asの定義が多い場合にエディタが起動できなくなる不具合を修正
	変数名に付加された全角スペースが無視されない不具合を修正
	[HSP3Dish][Win] hsp3dish.iniファイルが空の場合に落ちる不具合を修正
	[HSP3Dish][iOS] β4版で画面スケーリングの設定が正しく行なわれない不具合を修正
	[HSP3Dish][android] β3でレジューム時のテクスチャ復帰がおかしくなっていたのを修正
	[HSP3Dish][android] コンパイルのアーキテクチャ設定を標準でARMv7となるように修正(浮動小数演算などが高速化されます)
	[HSP3Dish][android] 初回のサウンド再生時、冒頭の音が重複して再生されることがある不具合を修正
	[HSP3Dish][android] exec命令にアクティビティ名を検索して実行するオプションを追加
	[HSP3Dish][android] フォント表示のキャッシュ設定(SYSREQ_MESCACHE_MAX)をシステムリクエストに追加
	[HSP3Dish][android] mes命令による内蔵フォント表示に対応
	[HSP3Dish] OBAQの機能で、qsetreq命令による設定が一部正しく反映されない不具合を修正
	β4版のobaq.dllが古いバージョンだったのを差し替え
	ドキュメントの一部修正

	2014/04/25 3.4β4

	HSP3オフィシャル3D素材 "珠音（たまね）"をhgimg3/hgimg4フォルダに同梱
	スクリプト中の全角スペースをスペース・タブと同様に無視するように修正
	スクリプト中の全角スペースを無視する設定スイッチを#cmpoptに追加
	オブジェクトファイルに不要な行番号情報が出力されないように修正
	デバッグ時のオブジェクトファイルにラベル名と引数名を記録するように修正(fujidig)
	イージング制御のための、setease命令、getease、geteasef関数を標準で追加
	[OBAQ] qspeed命令のoptionパラメーター値を追加、ヘルプを修正
	[HSP3Dish][iOS] XCode5.1以降で正しくコンパイルが通るように修正
	[HSP3Dish][iOS] Universalアプリ対応についてのドキュメントを追加
	[HSP3Dish][android] android-ndk-r9以降で正しくコンパイルが通るように修正
	[HSP3Dish][android][iOS] UTF8文字列を正しく扱うように修正
	[HSP3Dish][android][iOS] getstr命令、メモリノートパッド命令が認識する改行コードにLF(コード10)を追加
	[HSP3Dish][Win][android][iOS] redraw命令のパラメーター値を追加
	ドキュメントの一部修正

	2014/02/01 3.4β3

	画像をプリンタで印刷するための新規プラグインhspprintを追加
	[HGIMG3] hgbye命令で終了後に再びhgini命令で初期化した際に正しくウインドウサイズが反映されない不具合を修正
	[HGIMG4] hsp3gp.hrtが正しく実行されない不具合を修正
	[HSP3Dish][iOS] アイコン、スプラッシュリソースをretina基準に修正
	[HSP3Dish][iOS] HSP3Dish helperからのXCode5プロジェクト出力に対応
	[HSP3Dish][iOS] iAdによる広告が正しく出ないことがある不具合を修正
	[HSP3Dish][iOS] XCode5でビルドした際にフォントの描画時落ちることがあった不具合を修正
	[HSP3Dish][iOS] XCode5及びiOS7対応のランタイム更新
	[HSP3Dish][iOS] AdMobによる広告収益アプリに対応
	[HSP3Dish][Win] 再生前に設定した音量がmp3等の音楽ファイルで適用されない不具合を修正
	[HSP3Dish][Win] mp3等の音楽ファイルでループ再生後に音量が戻ってしまう不具合を修正
	[HSP3Dish][Win] 再生前に設定した音量がmp3等の音楽ファイルで適用されない不具合を修正
	[HSP3Dish][Win][android][iOS] 物理エンジンOBAQ機能をサポート
	[HSP3Dish][android] ランタイムをスタティックライブラリとして持つ形に変更
	[HSP3Dish] 画面内にボタンが存在すると、mes命令のフォントが変更される不具合を修正
	[HSP3Dish] clrobj命令が機能していなかった不具合を修正
	[HSP3Dish] サンプルスクリプトの画面サイズを480x800に変更しました
	ドキュメントの一部修正

	2013/07/10 3.4β2

	windowsの終了セッションにHSPランタイムが残ってしまう不具合を修正
	on gosub〜命令の指定先でend命令が認識されない不具合を修正(BT#263)
	[HGIMG4] 最初のバージョンを同梱
	[HSP3Dish] Windows版でmp3のボリューム設定が反映されないことがある不具合を修正
	[HSP3Dish][android] アプリのレジューム時にテクスチャデータが復帰しないことがある不具合を修正
	[HSP3Dish][android] HSP3Dish helperで新規プロジェクト作成が失敗することがある不具合を修正
	[HSP3Dish][android] getreq命令でPLATFORM_ANDROIDが正しく取得できない不具合を修正
	[HSP3Dish][android] HSP3Dish helperでのAdMobプロジェクトに対応
	[HSP3Dish][android] HSP3Dish helperの新規プロジェクトをSDK4.2.2標準に修正
	[HSP3Dish][iOS] iAdの表示が行なわれないことがある不具合を修正

	2013/04/16 3.4β1

	llmod3/winver.hspでエラーが発生する不具合を修正
	[HSP3Dish][iOS] iAdによる広告収益アプリに対応
	[HSP3Dish] 特定のデバイス制御用のdevinfo,devprm,devcontrol命令を追加
	[HSP3Dish] サウンド関連のmmvol,mmpan命令を追加
	[HSP3Dish] Windows版のサウンド(wav)を多重再生に対応
	[HSP3Dish] iOS、Android及びWindows7以降でマルチタッチ情報取得に対応
	[HSP3Dish] gzoom命令のマイナスサイズ指定での画像反転に対応

	2013/04/16 3.32b

	[スクリプトエディタ] アンドゥ、リドゥ時に編集バッファが壊れる不具合を修正
	[HGIMG3] fv関連命令及びクリーンアップ処理の不具合を修正
	[HSP3Dish] Windows版で終了後にプロセスが残ることがある不具合を修正

	2013/03/01 3.32a

	プロセスが残ることがあった終了処理を再度修正
	クリーンアップモジュール中でend命令を実行した際にエラーとなる不具合を修正

	2013/02/18 3.32

	終了処理でWM_QUITメッセージが渡されない不具合を修正
	[HGIMG3] str2fv命令で不正な文字列が入力された場合の変換方法を修正
	ドキュメントの一部修正

	2013/01/29 3.32RC1

	β2のウインドウ終了処理不具合をさらに修正
	#defcfuncで定義したユーザー関数内で終了できない不具合を修正
	exec命令で指定するファイル名の文字列サイズを無制限に修正
	[HGIMG3] ogg再生時はDirectSoundソフトウェアバッファをデフォルトで使用するように修正
	[HGIMG3] ogg再生時のDirectSoundソフトウェアバッファを使用スイッチを追加
	[HGIMG3] ogg再生時のストリームバッファサイズ設定を追加

	2012/12/18 3.32β2

	onexit gosubによるウインドウ終了処理で正しく終了しない不具合を修正
	oncmdによるウインドウ終了処理を入れた場合に正しく動作しない不具合を修正
	HGIMG3ランタイムのogg再生でDirectSoundソフトウェアバッファを使用する設定に修正
	[HSP3Dish][iOS] iHSP17フォルダに余計なファイルが含まれていたのを修正
	[HSP3Dish][iOS] Retinaディスプレイでないモードでタッチ座標がずれる不具合を修正

	2012/12/05 3.32β1

	Windows8(x64)上でウインドウを閉じた際にCランタイムエラーが発生する不具合を修正
	[HSP3Dish] オートスケーリング使用時にタッチ位置がずれる不具合を修正
	[hsp3dh] Androidビルド時にhspフォルダからソーススクリプトを検索するように修正
	[hsp3dh] Androidビルド時に長いWarningで内部エラーが発生する不具合を修正
	[HSP3Dish][iOS] Retinaディスプレイ対応のためのオプションを追加

	2012/09/05 3.31

	[HSP3Dish] アクティブなウインドウID取得(ginfo_act)のサポートを追加(Windows)
	[HSP3Dish][iOS] getkey命令が正しく取得できない不具合を修正
	[HGIMG3] objshadowサンプルが正しく動作しなかったのを修正
	HSP3Dishの特殊命令(setreq,getreq,gfilter)をヘルプに追加
	hsed3le,hsed3f1のバージョンを3.31に統一
	ドキュメントの微修正

	2012/07/13 3.31RC1

	wait,await実行中にウインドウ応答がなくなる不具合を修正
	hsptvディレクトリに自由に使用できる素材ファイルを追加
	hsptvディレクトリを示すシステムマクロ、dir_tvを追加(dirinfo命令も修正)
	#pack、#epack命令のファイルをhsptvディレクトリ内も検索するように修正
	[hspda] sortval命令でソートが正しく動作しない場合がある不具合を修正(BT#244)
	[hspinet] ftpopen命令にPASSIVEモード接続のオプションを追加
	[HSP3Dish] getkey命令に対応(キー情報取得はWindowsのみ)
	[HSP3Dish][iOS] mes命令による文字列描画でノイズが発生する不具合を修正
	[HSP3Dish][iOS] 文字列描画でメモリリークが発生する不具合を修正
	[HSP3Dish][android,iOS] 画面サイズのスケーリングに対応
	[HSP3Dish][android] HSP3DHによるリリースビルドに対応
	[HSP3Dish][android] 画面復帰時にceldivの情報がリセットされる不具合を修正
	[HSP3Dish][android] bsave命令によるストレージ保存に対応
	[HSP3Dish][android] 安定性向上のためインスタンス破棄時の処理を修正
	[HSP3Dish][android] HSP3DHのID指定をデフォルトで不要に修正
	[hsp3dh] ログが長くなった場合にNDKビルドに失敗することがあった不具合を修正

	2012/07/01 3.31β2

	β1でCOM関連機能が正しく動作しないことがあった不具合を修正
	strrep命令の検索文字列が全角文字で始まっている場合に正しく検索されない不具合を修正
	新規対応フォーマット画像が画面サイズより大きい場合エラーになる不具合を修正
	picload命令にモード2のオプションを追加
	[HSP3Dish] button命令のサポートを追加(Windows,iOS,android)
	[HSP3Dish] sysinfo関数の一部サポートを追加(Windows,iOS,android)
	[HSP3Dish][iOS] 横画面サポートを追加
	[HSP3Dish][iOS] 加速度センサーのサポートを追加
	[HSP3Dish][iOS] await命令の待ち時間を微調整
	[HSP3Dish][android] OpenSL/ESによるサウンドサポートを追加
	[HSP3Dish][android] デフォルトでフルスクリーンになるように修正
	[HSP3Dish][android] アプリの切り替え、テクスチャ復帰に対応
	[HSP3Dish][android] exec命令によるタスク呼び出しに対応
	[HSP3Dish][android] end命令によるタスク終了に対応
	[HSP3Dish][android] HSP3DHにLogcatウインドゥ表示を追加
	[HSP3CNV] button命令に対応
	[hsp3dh] プロジェクトフォルダがC:以外にあった場合、プロジェクト作成に失敗する不具合を修正
	[hsp3rd] 最新版のテスト用ランタイムに更新

	2012/06/14 3.31β1

	HSP3Dish開発環境をHSPフルセットに統合
	HSP Document Libraryのバージョンを1.34に更新
	読み込み可能な画像フォーマットにPNG、TGA、PSD形式を追加
	await命令の時間待ちを高精度タイマーによる処理に変更
	cnvstow命令でバッファオーバーフローが発生することがある不具合を修正(BT#245)
	指定した文字列の置換を行なうstrrep命令を追加
	変数名として認識する文字列のオーバーフロー時にフリーズする不具合を修正(BT#256)
	[HGIMG3] テンプレート定義の含まれていないxファイルの読み込みに対応
	[hspinet] netgetv命令によるバイナリデータの取得に対応(BT#240)
	[hspinet] FTPのポート番号の指定が無視される不具合を修正(BT#248)
	[hspinet] 環境変数を取得するためのgetenv命令を追加。
	[hspinet] 文字列の中から特定の情報を取り出すためのgetenvprm命令を追加。
	[hspinet] asctime形式、RFC1123形式の日付時刻を取得するgetctime命令を追加。
	2011/09/27 3.3a

	HSPDishランタイム(Windows)のcelput命令で中心座標がずれる不具合を修正

	2011/09/13 3.3

	[スクリプトエディタ] URL,メールアドレスの表示色を標準テキストと同じになるように修正
	[スクリプトエディタ] オートインデントの設定が反映されなかった不具合を修正
	HSP3ソースコンバーター(hsp3cnv)の修正
	ドキュメントの微調整

	2011/07/27 3.3RC1

	HSPアシスタントの初回起動時にメッセージを表示するように修正
	HSP3ソースコンバーター(hsp3cnv)を同梱
	HSP3Dishの機能修正、及びドキュメント拡充
	HSPTV対応プログラム用の標準イメージを追加
	セキュリティ対策のためDPM暗号化のアルゴリズムを微調整
	[スクリプトエディタ] ツールメニュー「指定フォルダからDPM作成」を追加
	[スクリプトエディタ] ツールメニュー「指定ファイルをCソースに変換」を追加	ドキュメント、リファレンスの細かい修正。

	2011/07/07 3.3β3

	HSPDishランタイム(Windows)を同梱
	単項のマイナス値がパラメーター最適化で不正コードとして出力されることがある不具合を修正
	instr関数のp2パラメーター(インデックス)にマイナス値を指定した場合、-1を返す仕様に修正
	かんたん入力でシステム変数を取得する際にエラーが出力される不具合を修正
	[HGIMG3] objgetfv命令で配列の情報が正しく設定されないことがある不具合を修正
	[スクリプトエディタ] 行間マージンのデフォルト値を2に変更

	2011/05/10 3.3β2

	中間コードに最適化用のフラグを追加(3.3β1の上位互換)
	hspdaプラグインのsortval命令でフリーズすることがある不具合を修正(BT#233)	一部のプラグインがWindows9xで動作しない不具合を修正
	[スクリプトエディタ] 作成途中のスクリプトがファイル読み込みで上書きされる不具合を修正 (BT#239)
	[スクリプトエディタ] 行番号やURL上でマウスカーソルが消える不具合を修正
	[スクリプトエディタ] HSPメニューのDEBUGウインドゥ表示チェックが表示されない不具合を修正
	[スクリプトエディタ] 行間の広さオプションが設定できなかった不具合を修正
	マクロ__line__が正常に動作しない不具合を修正(#BT238)
	マクロpowfを標準数学関数に置き換え

	2011/01/13 3.3β1

	未初期化の変数参照をコンパイルレポートに出力するように修正
	#cmpopt命令にvarinitオプションを追加
	objprmでのmesboxの内容の変化が変数に反映されない不具合を修正(BT#227)
	HSP assistantを最小化状態で終了させると次回起動時に表示されない不具合を修正(BT#228)
	複数行文字列を使うとエラー発生時の報告される行の位置がずれる不具合を修正(BT#234)
	HSP3.22付属のexe,dllが一部Windows9xで動作しなくなっていたのを修正
	HSPスクリプトエディタの更新
	　・Footy2エンジンによる実装に置き換え
	　・デフォルトのフォントをMSゴシックに変更
	　・「表示」メニューを設定ダイアログに統合
	　・「カーソル」メニューを「編集」メニューに統合
	　・起動時にHSPアシスタントを自動起動するオプションを追加
	　・設定保存先レジストリ、iniファイル名を変更
	　・キーワード色付けの変更
	　・hspdef.asで定義されるマクロを色付けされるように修正

	2010/10/18 3.22

	ue_daiさんによるOpenHSPバグ修正を反映
	　BT#169: スクリプトエディタの外部ツールの引数が終了時に変更される
	　BT#218: ブレースの対応がチェックされない
	　BT#224: logmesを含む場合にメッセージ割り込み処理が期待通りに動作しない
	　BT#226: #func定義がモジュールで閉じていない
	　BT#229: 予約キーワードとして__line__、__file__を追加
	　BT#231: mref命令によるstatクローンのサイズが異常
	　BT#233: sortvalでエラーが出る
	　BT#235: 特殊展開マクロで落ちることがある

	cvsmooth命令でメモリリークが発生する不具合を修正
	USBIO制御モジュール(mod_usbio.as)を更新
	HIDaspxに対応、制御用DLL(hidmon.dll)及びサンプルを同梱

	2010/06/27 3.21a2

	ファイル選択ダイアログ呼び出し時にエラーが出ることがある不具合を修正

	2010/04/30 3.21a

	HGIMG3に関する不具合のいくつかを修正(hgimg3.txt参照)。
	d3moduleヘルプファイルが重複していたものを修正。
	ドキュメント、リファレンスの細かい修正。

	2010/03/31 3.21

	一部のOSでoggストリームの再生直後にdmmstatで再生時間を取るとフリーズする不具合を修正
	3.21RC1から、HSP3及び標準的なランタイムに変更はありません。
	(マイナーバージョンコードも変更していません。)

	2010/03/16 3.21RC3

	K-Kさん製作のhspusbioプラグイン及びモジュールを同梱。
	HGIMG3に関する不具合のいくつかを修正(hgimg3.txt参照)。
	hspoggプラグインの動作が不安定なためhsp3.2同梱版に戻しました。

	2010/02/18 3.21RC2

	sprocketさん製作のArtlet2D,SQLeleモジュール及びサンプルを同梱。
	hspinetプラグインに文字コード変換(nkf)、JSONサポートを追加。
	hspinetプラグインサンプルにTwitter API操作スクリプトを追加。
	mod_regexpモジュールを追加。
	Windows7用のマルチタッチサンプルスクリプトを追加。
	HGIMG3で直接描画のテクスチャ補間方法に関する設定を追加(hgimg3.txt参照)。
	2010/01/29 3.21RC1

	HGIMG3で発生するいくつかの不具合修正と機能追加(hgimg3.txt参照)。
	obaqプラグインサンプル、及びツールを追加。
	hspinetプラグインにRC4/BASE64サポートを追加。
	hspinetプラグインサンプルにメール送信スクリプトを追加。
	BT#228: HSPアシスタントを最小化状態で終了させると次回起動時に表示されない不具合を修正
	BT#230: #defineプリプロセッサの引数によりクラッシュすることがある不具合を修正(lagwn)
	ドキュメントでのバージョン表記は3.2のものも含まれていますが、マイナーバージョンコードは加算しています(hspver=12808)

	2009/10/19 3.2a

	Windows Vista,及び7の64bit(x64)版においてHSP実行時のウインドゥを閉じることができなくなる(end命令による終了を除く)不具合を修正
	HGIMG3ランタイム版においてCPU稼働率が高くなることがある不具合を修正
	サンプルスクリプト、ヘルプの微修正
	バージョン表記は3.2のままですが、マイナーバージョンコードは加算しています(hspver=12807)

	2009/08/01 3.2

	hspda.dllのsortvalで昇順・降順の指定が反映されていなかった不具合を修正
	スクリプトエディタのラベル一覧に、一部のラベルが検出されなかった不具合を修正
	かんたん入力時の文字列転送がWindowsXPより古い環境で失敗する不具合を修正 

	2009/07/27 3.2rc1

	HSP周辺ツールとしてHSPアシスタントを追加。
	サンプルビューアーを廃止し、HSPアシスタントの機能の一部に統合
	プリプロセッサ命令、modcfuncを追加。
	拡張プラグインHGIMG3の機能追加と不具合をいくつか修正(詳細はhgimg3.txtを参照してください)。

	2009/07/13 3.2b4

	OpenHSP 2009/07/09までの更新を反映しています。
	主な修正点は以下の通りです。(詳細は、OpenHSP Trac参照)

	物理エンジンとして新規プラグインOBAQ.DLLを追加
	hspmath.asのM_PI,rad2deg,deg2rad,pow(powf)が標準マクロとして定義されるように修正ラベルリテラルを式の中で使えるように修正(fujidig)
	「=」を省略した複合代入「v+(1)」の書式を許容するように修正(fujidig)
	後ろで定義されている関数を呼び出せるように修正(fujidig)
	HSPINET,HSPDAプラグインを更新(onitama/fujidig)
	BT#167: 「10*10/-a」のようなマイナス演算子の記述でエラーになる不具合を修正(fujidig)
	BT#182: HSPCVのグレースケールバッファでcvthresholdを実行すると失敗する不具合を修正
	BT#186: Peas用のif.aht及び、aht.txtのサンプルを修正
	BT#209: 実行用ランタイムファイルを見つけられない事がある不具合を修正(fujidig)
	BT#220: objprmによりlistbox,comboxオブジェクトの変更時に変数内容が反映されない不具合を修正
	BT#222: strfの書式で"%I64"を使えるように修正
	BT#223: strfの書式に関数を入れた時の動作を修正
	ドットを使った配列の要素指定を修正(fujidig)
	かんたん入力の文字列入力でクリップボードの内容が上書きされないように修正
	β3版でパレットモードの初期化がエラーになる不具合があったのを修正

	2009/05/22 3.2b3

	CEL関連命令(celload、celdiv、celput)を追加
	ver3.2β1〜β2で終了時にエラーが起こることがあった不具合を修正
	ver3.2β1〜β2でバージョン番号(hspver)がおかしかった不具合を修正
	HGIMG3ランタイムで別なプラグインを使用した際の解放が正しく行なわれなかった不具合を修正
	HGIMG3で、hgbyeによる解放後に再度hginiによる初期化を失敗する不具合を修正
	ラベル型の配列変数を作成するためのldimマクロを追加
	ラベル型の変数を初期化するためのnewlab命令を追加
	マクロ定義時に記述された範囲コメントで起こる不具合を修正(fujidig)
	hsp3clのinput命令でp3=2のときCRの次のLFを読み飛ばしていないのを修正(fujidig)
	内部メモリブロック確保アルゴリズムの改善(fujidig)
	dialog命令によるファイル選択時、フィルタでの複数指定を追加。(Sharkpp)

	2009/04/10 3.2b2

	OpenHSP 2009/03/09までの更新を反映しています。
	主な修正点は以下の通りです。(詳細は、OpenHSP Trac参照)

		BT#204: 「#func onexit で定義した関数が実行されない場合がある 」に対処(fujidig)
		3.2beta1で、HSP3仕様のプラグイン使用時に開放済みのメモリをアクセスしてしまう問題を修正(sharkpp)
		拡張プラグイン・dllの解放をプログラムの終了処理中に行なうように変更(naznyark)
		logmes命令でバッファオーバーフローの可能性があったのを修正(fujidig)
		非ツールウィンドウとして作成後にツールウィンドウとして再初期化したウィンドウが、タスクバーにボタンを残す不具合を修正(naznyark)
		非常に長いモジュール名を指定するとエラーが発生する不具合を修正(fujidig)
		#runtime で #cmpopt の設定がリセットされるバグを修正(fujidig)
マクロ展開で、「macro 1,」のように書いた場合最後のパラメーターを省略と見なされなかった不具合を修正(fujidig)
		複数行コメント内に # で始まる行があると行番号がずれる不具合を修正(fujidig)
		プリプロセッサ命令の行末の'\'の前にマルチバイト文字があったとき動作がおかしいことがあるのを修正(fujidig)
		一部のプリプロセッサ命令で \ を使って行を継続したときに行番号がずれる不具合を修正(fujidig)
		ラベル型変数の初期値を使って、gotoなどの命令を実行するとエラーになるように修正(fujidig)
		memcpy, memset でオフセットに負数を指定したときエラーにするように変更(fujidig)
		hspextプラグインで、シリアルポートの10番目(COM10)以上を指定可能に修正(sharkpp)
		BT#208: hspextプラグインのpipeput,pipegetでフリーズ、エラーが発生する不具合を修正(sharkpp)
		付属ドキュメントのリンク切れ、不具合を修正(sharkpp,eller)
		スクリプトエディタ: ラベル一覧に、定義済みの命令・関数を表示する機能を実装(sharkpp)
		スクリプトエディタ: スクリプトエディタの印刷機能の更新、修正(sharkpp)
		スクリプトエディタ: スクロールバーのON/OFFが効いていないのを修正(fujidig)
		wmv形式ファイルのウィンドウ内再生に対応
		double型の\(剰余)演算に対応
		hspcvプラグインのcvfacedetect命令でメモリリークが発生する不具合	を修正
		hgimgプラグインの互換性を向上
		スクリプトエディタの「HSP拡張マクロを使用する」項目を廃止
		BT#217: #moduleのモジュール名直後に空白を記述するとエラーになる不具合を修正
		文字列の中から指定した文字だけを取り除くstrtrim関数を追加
		指定した文字列で分割された要素を変数に代入するsplit命令を追加
		objprm命令等の配置オブジェクトIDのチェックを厳格にした
		配置オブジェクトの挙動設定を行なうobjenable、objskip命令を追加
		入力ボックスにキーボードフォーカスが合った時は、デフォルトで項目を全選択するように修正
		グラデーションによる矩形塗りつぶしを行なうgradf命令を追加
		gsquare命令にグラデーション塗りつぶしオプションを追加
		画像によるカスタムボタンを設定するobjimage命令を追加
		ginfo関数に未使用のウインドゥIDを返す機能を追加
		スクリプトエディタからの実行時に、ツールフォルダにhsp3フォルダが存在するとエラーが出る問題を修正

	2008/06/05 3.2b1

	OpenHSP 2008/06/04までの更新を反映しています。
	主な修正点は以下の通りです。(詳細は、OpenHSP Trac参照)

		サイズ固定ツールウィンドウに非描画領域がある不具合を修正。(naznyark)
		onxxx系命令でラベル型変数を指定するとエラーになる不具合を修正。(naznyark)
		BT#190: return命令へ長い文字列を指定するとアクセス違反が起こる不具合を修正。(naznyark)
		BT#113: dimtypeでモジュール型変数が不完全な状態で作成される不具合を修正。(naznyark)
		strf関数で複数の引数を利用可能に修正。(fujidig)
		strmid関数でメモリ領域外にアクセスしないように修正。(fujidig)
		return命令で大きな実数を指定するとエラーになる不具合を修正。(fujidig)
		文字コード変換モジュールencode.asを追加。(sharkpp)
		llmod3モジュールを追加。(sharkpp)
		#defineのマクロ展開でバッファオーバーフローをチェックするように修正。(fujidig)
		BT#083: hspdef.asでデバッグ命令が取り消せていない不具合を修正。(fujidig)
		BT#198: 0x80以上の文字定数で負数が返ってくる不具合を修正。
		パラメーター取得処理の見直しにより全体の動作を高速化。(onitama)
		スタックレベルを最大で256まで拡張した。(onitama)
		OpenHSPのライセンス文書(HSPLicense.txt)を修正。(onitama)
		#regcmdで登録されたHPIのDLLハンドルを開放するように修正。(fujidig)
		マルチスレッド版ランタイム、hsp3mtを追加。(onitama)

	2007/7/29 3.1

		RC1のrandomize命令で引数を省略した時に正しく初期化されなかった不具合を修正。(HSPBT#168)
		拡張プラグインhspdaのsortval命令で降順ソートが無効になっていた不具合を修正。(HSPBT#174)
		ドキュメントの表記及び色を一部修正。
		HSPTVブラウザのセキュリティ機能の一部を修正。
		HSPTVブラウザでAlt+F4による終了時にプロセスが残る不具合を修正。
		モジュール空間内で指数付きのフォーマットを使用するとエラーになる不具合を修正。(HSPBT#177)

	2007/7/22 3.1RC1

		１行が非常に長いスクリプトでエラー行表示を間違える不具合を修正。(HSPBT#20)
		AHTコメントのnameオプションでエラーが出ることがある不具合を修正。(HSPBT#153)
		プリプロセッサ行の末尾にある漢字によっては行が接続される不具合を修正。(HSPBT#160)
		「'」のコード表記を「'\''」で行なう仕様補足をマニュアルに追加。(HSPBT#156)(HSPBT#163)
		拡張プラグインhspextのdirlist2命令で返されるファイル数が正しくなるように修正。(HSPBT#154)
		指数部のある実数リテラル表記でエラーが出ることがある不具合を修正。(HSPBT#155)
		#const命令に実数値であることを指定するdoubleオプションを追加。
		kernel32.as内の関数定義を一部修正。(HSPBT#162)
		#setmod命令の機能を正式に削除。

	2007/6/8 3.1b10

		拡張プラグインhspdxを最新バージョンに差し替え。(詳細はhspdx.txtを参照してください)
		拡張プラグインhspoggを追加。(詳細はhspogg.txtを参照してください)
		gdi32.as内のAngleArc関数定義を修正。(HSPBT#148)
		hspcvプラグインのヘッダファイル及びドキュメントを修正。(HSPBT#149)
		#modterm内でlogmesを使用した時にエラーが発生する不具合を修正。(HSPBT#99)
		実数の表現として指数部のある形式を認識するように修正。(HSPBT#145)
		dupptr命令で作成した文字列型変数の参照ポインタがおかしくなる不具合を修正。(HSPBT#76)
		拡張プラグインhspextのdirlist2命令で起こる各種不具合を修正。(HSPBT#89)
		拡張プラグインhspdaのsortval命令を実数型配列変数対応に修正。(HSPBT#147)
		strmid命令の読み出しサイズ指定によって余分なメモリを確保しないように修正。(HSPBT#150)
		ヘルプのginfo_winx,ginfo_winyの項目を一部修正し、ginfo_sx,ginfo_syの説明を追加。(HSPBT#152)
		AHTコメントでnameオプションを指定した時に値が認識されなくなる不具合を修正。(HSPBT#153)
		拡張プラグインHGIMG3の機能追加と不具合をいくつか修正(詳細はhgimg3.txtを参照してください)。

	2007/4/21 3.1b9

		HSPCL(コンソール版)のmes命令で長い文字列に改行が入る不具合を修正。
		β8版の拡張で一部のプラグイン機能で互換性がなくなっていた不具合を修正。
		hspcmp.dllのhsc_ver命令によるバージョン表記を修正。(HSPBT#142)
		getstr命令の第５パラメーターヘルプを入れ忘れていたのを修正。
		初期化済みのstruct型変数をDebugウィンドウで正しく表示されるように修正。(HSPBT#113)
		struct型の配列終了処理でエラーが発生することがある不具合を修正。(HSPBT#144)
		HSP3アイコンを256色(8bit)のものに変更。

	2007/4/5 3.1b8

		新規拡張プラグインhspcvを追加。(詳細はhspcv.txtを参照してください)
		変数データをまとめてファイルに読み書きするためのvload、vsave関連命令(hspdaプラグイン)を追加。
		HSPCL(コンソール版)のinput命令でバイナリーモード時にEOFを誤認識する不具合を修正。
		コンパイル時の追加ファイル(hspdef.as等)が存在しなくてもエラー表示しないように修正。
		変数名情報を常に出力するオプションを#cmpopt命令に追加。
		HSPSDK(プラグイン)側から変数IDと変数名に関する情報を取得可能に修正。
		RSSモジュール(mod_rss.as)のモジュール名を修正。(HSPBT#133)
		user32.as内のGetWindowModuleFileName関数定義を修正。(HSPBT#125)
		拡張プラグインhspinetのftpopen命令のポート指定ができない不具合を修正。(HSPBT#58)
		拡張プラグインHGIMG3の機能追加と不具合をいくつか修正(詳細はhgimg3.txtを参照してください)。

	2007/2/2 3.1b7

		ラベルの位置を変数に記憶させるためのラベル型を追加。
		スクリプトエディタでコメントを入れたときの色分けに失敗する不具合を修正。(HSPBT#42)
		スクリプトエディタの検索方法を修正。正規表現による検索を追加。(HSPBT#53)
		スクリプトエディタの外部ツール登録が保存されない不具合を修正。(HSPBT#73)
		vartype関数の変数指定で配列変数を指定できるように修正。(HSPBT#102)
		repeat命令の第２パラメーター指定で無限ループを生成することがある不具合を修正。(HSPBT#95)
		oncmd命令で有効化・無効化を行なうとエラーが出ることがある不具合を修正。(HSPBT#66)
		ユーザー定義関数内で関数の戻り値が代入される変数型が変更できない不具合を修正。(HSPBT#90)
		ヘルプの誤記を修正。(HSPBT#97)
		型を拡張するプラグインで型変換に失敗することがあった不具合を修正。
		#deffuncのonexitオプションで指定された命令が最適化機能により無効化される不具合を修正。(HSPBT#100)
		AHTコメントキーワードの「pure」を追加。(詳細はaht.txtを参照してください)
		拡張プラグインHGIMG3の機能追加と不具合をいくつか修正(詳細はhgimg3.txtを参照してください)。

	2006/11/10 3.1b6

		スクリプトエディタの右クリックメニューに「かんたん入力」の項目を追加。
		HSPテンプレートツール(AHT)についての基本仕様ドキュメントを追加。
		スクリプトエディタでダブルクオーテーション(\")の色分けが誤認識される不具合を修正。
		スクリプトエディタでラベル名の後にコメントがあるとラベル一覧に表示されない不具合を修正。(HSPBT#46)
		gsquare、grect命令等でブレンド透明度が最大の時に正しい色で描画されない不具合を修正。(HSPBT#81)
		コピーモード7で画面にはみ出すコピーを行なうとマスク位置がずれる不具合を修正。(HSPBT#82)
		input命令による入力ボックスで[Enter]キーを押した時に警告音が出ないように修正。
		モジュール名と同じキーワード使用時に落ちることがある不具合を修正。(HSPBT#88)
		mod_img.as使用時など#usecom命令使用時にhspcmp.dllが落ちることがある不具合を修正。
		#deffunc、#defcfunc命令にlocal指定のオプションを追加。
		#usecom命令にglobal指定のオプションを追加。
		拡張プラグインHGIMG3の機能追加と不具合をいくつか修正(詳細はhgimg3.txtを参照してください)。

	2006/07/18 3.1b5

		画面の初期化Yサイズがデスクトップ領域より大きい場合にgrotate、gsquare、grect命令が失敗する不具合を修正。
		β3以降でマクロ展開中のシフト演算、比較演算が正しく行なわれなかった不具合を修正。(HSPBT#74,#80)
		デバッグウィンドウにモジュール型、COMOBJ型変数の内容が表示されるように修正。
		デバッグウィンドウにモジュール型の配列変数を表示させようとすると終了する不具合を修正。(HSPBT#78)
		拡張プラグインhspda.dllのcsvstr命令でバッファオーバーフローが起こる不具合を修正。(HSPBT#79)
		拡張プラグインHGIMG3の機能追加と不具合をいくつか修正(詳細はhgimg3.txtを参照してください)。

	2006/07/03 3.1b4

		HSPLet3.0.2を同梱。#runtime命令によりHSPLetを選択可能に修正。
		へルプマネージャー(helpman.exe)のランタイムをIEコンポーネント版に変更。
		β3版でbuffer命令実行時に操作先ウィンドウIDが正しく保存されなかった不具合を修正。
		スクリーンセーバーのコンフィグ処理でwait命令を使うと閉じてしまう不具合を修正。(HSPBT#70)
		noteget命令で範囲外の行を指定した場合システムエラーになる不具合を修正。(HSPBT#67)
		拡張プラグインHGIMG3の機能追加と不具合をいくつか修正(詳細はhgimg3.txtを参照してください)。

	2006/04/20 3.1b3

		#constプリプロセッサ命令による実数演算に対応。
		マクロに設定した文字列の256文字以降が認識されない不具合を修正。(HSPBT#36)
		プリプロセッサ命令使用時に実行時エラーの行数がずれる不具合を修正。(HSPBT#20)
		β2版でコンパイル時に文法エラーを出することがある不具合を修正。
		β2版でコンパイルエラー時にソース行が表示されない不具合を修正。
		dirlist命令で返されるstatの値がファイル数と合っていない不具合を修正。
		screen、bgscr命令によるウィンドウ初期化時に再描画を行なうように修正。
		mesbox命令による入力ウィンドウをタブキーによるフォーカス移動から除外した。
		cls命令でフォント指定が標準に戻されるように修正。
		objsize命令のp3パラメーターがwinobj、axobj命令で反映されない不具合を修正。
		sortnote命令(HSPDA)でエラーが発生する不具合を修正。
		oncmd命令によるメッセージ割込み先で別ルーチンのreturnコードが残る不具合を修正。(HSPBT#63)
		関数を命令として使用した場合のエラーメッセージを変更。
		へルプマネージャー(helpman.exe)のランタイムを変更。
		拡張プラグインHGIMG3の機能追加と不具合をいくつか修正(詳細はhgimg3.txtを参照してください)。

	2006/03/09 3.1b2

		スクリプトエディタで別名保存した後に古い名前が開けなくなる不具合を修正。(HSPBT#41)
		スクリプトエディタの色オプションで「空色」と「深緑」が逆になっているのを修正。(HSPBT#57)
		不必要なモジュール、DLLインポート情報をオブジェクトファイルから破棄する最適化機能を追加。
		コンパイル時の設定をソース内に記述するための#cmpoptプリプロセッサ命令を追加。
		プリプロセッサ出力ファイル(hsptmp.i)を標準で生成しないように修正。
		複数行文字列({"〜"})内に半角文字列がある時にエラーが出る不具合を修正。(HSPBT#51)
		メニューバー作成モジュール(mod_menu.as)の不具合を修正。
		onkey割り込み時のiparamの内容がキーコードだったものを文字コードとなるように修正。
		拡張プラグインHGIMG3の機能追加と不具合をいくつか修正(詳細はhgimg3.txtを参照してください)。

	2006/01/30 3.1b1

		64文字を越える文字列の比較演算に失敗することがある不具合を修正。
		拡張プラグインHGIMG3の機能追加と不具合をいくつか修正(詳細はhgimg3.txtを参照してください)。
		axobj命令のウィンドウが正常に作成されなかった場合にエラーでなくstatに-1を代入して終了するように修正。
		モジュール変数のデストラクタに渡されるパラメーター指定(#modterm)を廃止。
		モジュール変数のデストラクタが呼び出されないことがある不具合を修正。
		ジョイスティック入力モジュール(mod_joystick.as)の不具合を修正。
		ドキュメントの間違いを一部修正。

	2005/09/07 3.0a

		実数型の配列変数を大きく拡張する時にエラーが発生する不具合を修正。
		comres命令でパラメータを省略した場合、設定を無効化するように修正。
		COMオートメーションでIDispatch以外のインターフェースを使用できるように修正。
		exeファイル動作時にrun命令が正常に実行されない不具合を修正。
		screen命令のウィンドウ非表示オプションで再初期化した時に再描画されない不具合を修正。
		bgscr命令で作成されたウィンドウの配置オブジェクトが再描画されない不具合を修正。
		gmode7によるαコピーが正常に動作していない不具合を修正。
		HSP2.61互換のプラグイン呼び出し規約$202のprm_getv関数で正しいPValポインタを得られない不具合を修正。(HSPBT#34)
		mes,print命令でタブ(\t)が展開されるように修正。
		Windows9xで、chgdisp使用時に実行終了後 自動で元の環境に戻らない不具合を修正。
		文字列型の配列変数要素が大きな値になった時システムエラーが発生する不具合を修正。
		拡張プラグインhspdb.dllのdbgets命令が正しく動作しない不具合を修正。
		拡張プラグインHGIMG3の不具合をいくつか修正(詳細はhgimg3.txtを参照してください)。
		WIN32API関数の定義ファイルの不具合を修正。
		プラグインで型を登録すると演算の型が変更されなくなる不具合を修正。(HSPBT#40)
		#regcmd命令に型登録のためのパラメーターを追加。
		#defineマクロの初期値に実数値を使用できるように修正。
		grect、grotate、gsquare命令で画面右と下1ドットが描画されない不具合を修正。
		hsed3le.exeのダイアログ表記を一部修正。

	2005/08/01 3.0

		スクリプトエディタの印刷メニューでエラーが発生する不具合を修正。
		サイズ可変ウィンドウの最大幅が正しく反映されない不具合を修正。(HSPBT#12)
		強制終了があった場合でもエラートラップされるように修正。
		エラー発生時の割り込みでwparamとlparamが正しく設定されない不具合を修正(HSPBT#32)
	2005/07/26 3.0RC2

		HSPTVブラウザを標準で同梱。
		ATL.dll、ATL71.dllをActiveX使用時のみリンクを行なうように修正。
		DPMファイル読み込み設定を行なうchdpm命令を追加。
		描画領域のスクロール設定を行なうgroll命令を追加。
		gsquare命令でパレットモード時の塗りつぶしコードが指定できない不具合を修正。
		palette命令の更新スイッチを0にしてもパレットが更新される不具合を修正。
		mesbox命令で入力可能文字数として0(最大)を指定できるように修正。
		objmode命令のフォーカス移動キー指定が反映されていなかった不具合を修正。
		memset命令で指定されるバッファの全サイズが指定できなかった不具合を修正。
		poke命令の文字列データ書き込みでstrsizeに代入される値が1多かった不具合を修正。
		poke命令の文字列データ書き込みのオーバーフロー判定を修正。
		システム変数hspstatが正しく設定されていなかった不具合を修正。
		#cfunc命令でglobalオプションが指定できなかった不具合を修正。
		システム変数ginfo_winx、ginfo_winyをHSP2.61と互換のある値に修正。
		画面の初期化サイズを示すシステム変数ginfo_sx、ginfo_syを追加。
		HSP3.EXE起動時のコマンドライン取得に失敗することがある不具合を修正。
		エラーダイアログ表示時にウィンドウを閉じようとするとエラーになる不具合を修正。
		コンソールモード時はファイル名指定時以外タイトル文字列を表示しないように修正。
		デバッグウィンドウの配列変数表示に長い文字列があると落ちる不具合を修正。
		スクリプトエディタのコンテキストメニュー初期化処理が正しく行なわれない不具合を修正。
		スクリプトエディタの貼り付け動作のショートカットキーとして「Shift+Ins」を追加。
		RC1のquerycom命令で１番目の変数にオブジェクトが格納されない不具合を修正。
		variant型、comobj型変数の解放が正常に行なわれない不具合を修正。
		外部DLL呼び出しパラメーターのnullをnullptrに変更。

	2005/07/18 3.0RC1

		スクリプトファイルのデフォルト拡張子を「.hsp」に変更。
		標準ツールとしてサンプルスクリプトビューアーを追加。
		COMオブジェクトから値を受け取るためのvariant型を追加。
		sarrayconv命令を追加。
		β11で行なったsendmsg命令の修正を再度変更。
		ATL71.dllがある場合はそちらを使用してActiveXの取得を行なうように修正。
		noteload命令の読み込みサイズパラメーターに対応。
		noteadd命令で空の文字列を上書きすると行が削除される不具合を修正。
		オブジェクトの出ていない状態でclrobj命令を指定するとエラーになる不具合を修正。
		アクティブなウィンドウの検出で間違った結果を出すことがある不具合を修正。(HSPBT#23)
		長い文字列を格納した変数をデバッグウィンドウで表示させた際に落ちる不具合を修正。
		拡張プラグインhspinet.dllにftp操作関連の命令群を追加。
		circle命令の画面更新範囲が正しくなかった不具合を修正。
		DebugWindowの変数オプションを複数回押すと落ちる不具合を修正。(HSPBT#29)
		run命令を実装。
		SDKライブラリ::配列指定をしていない時はObjectWriteが呼ばれないように修正。
		instr関数のパラメーターでstrmid関数を使用すると正しく処理されない不具合を修正。

	2005/06/27 3.0β11

		複数行文字列({"〜"})指定中にあるダブルクォートが正しく処理されない不具合を修正。(HSPBT#24)
		onexit命令実行時にWindowsのシャットダウン処理が常に中止される不具合を修正。(HSPBT#26)
		sendmsg命令のパラメーターをHSP2.61のobjsend命令と互換のある形式に修正。
		COMイベント作成を行なうcomevent命令の仕様を一部変更。
		COMオブジェクト型変数の配列が使用できるように修正。
		SDKライブラリ::関数パラメーター取得仕様を修正。
		SDKライブラリ::PValの識別情報HSPVAR_SUPPORT_TEMPVAR(テンポラリ変数)を追加。
		SDKライブラリ::HspFunc_dimを始めとする配列変数操作用のサポート関数を追加。

	2005/06/15 3.0β10

		#modinit、#modterm命令の登録名が不要な書式に変更。
		#modterm命令で登録したデストラクタが実行されない不具合を修正。
		自分自身のモジュール変数を示すシステム変数thismodを追加。
		poke命令のパラメーターに文字列を指定した際に長さがstrsizeに代入されるように修正	。
		形式の異なるオブジェクトファイルを起動した場合にシステムエラーとなる不具合を修正。
		β9でsdim命令により初期化された文字列型の自動拡張に失敗する不具合を修正。
		β9で2.61互換の配列要素記述に関数が使用できない不具合を修正。
		「1+」のように中途半端な式の記述でエラーが出るように修正。
		拡張プラグインhspda.dllのcsvstr命令で最初の要素が無視される不具合を修正。

	2005/06/02 3.0β9

		新規関数を登録するための#defcfunc命令を追加。
		関数形式で外部API呼び出しを定義する#cfunc命令を追加。
		外部呼出しコマンド等のアドレス情報を取得するlibptr関数を追加。
		文字列型から整数型への変換時に「$1a」のような16進数を認識するように修正。
		2次元以上の配列で連続代入に失敗することがある不具合を修正。
		sdim命令で2次元以上の配列確保をした場合にバッファサイズが揃わなくなる不具合を修正。
		2.61互換の配列記述で変数を使用して書くと、エラーが起こる不具合を修正。(HSPBT#21)
		文字列型で確保されるメモリバッファの初期化を行なうように修正。(HSPBT#13)
		クリーンアップモジュールが正常に呼び出されなかった不具合を修正。
		stick命令のp3パラメーターが反映されない不具合を修正。
		ウインドゥID32以降を使用するとエラーになる不具合を修正。
		システム変数refdvalを追加。
		mmplay命令のwav再生チェック機能を削除。
		alloc命令をマクロに変更。
		hspinetプラグインを新規に同梱。
		デバッグウインドゥのダイアログがWindows9xで文字化けする不具合を修正。
		拡張プラグインhspda.dllをHSP3対応に修正。rndf_*命令を追加。
		主要なWIN32API関数の定義ファイルを標準で同梱。
		HSP HELP Browserをver1.50に更新。

	2005/04/28 3.0β8

		HSP2.61の拡張プラグイン規約$202、$20に対応。
		#func登録時の引数prefstr,pexinfo,nullを追加。
		clrobj命令の終了ID初期値が-1になるように修正。
		ver2.61互換の配列要素指定「.」でcntを使用するとエラーになる不具合を修正。
		「=<」のようにパラメーター式で連続する演算子をエラーとするように修正。
		hsp3cl.exeをコマンドラインパラメーターなしで起動してもエラーにならないように修正。
		標準マクロとして実数型の配列を宣言するddimを追加。
		screen命令でウインドゥを再初期化した時に描画内容が残ることがある不具合を修正。
		COMオブジェクト型の内部動作仕様を一部変更。

	2005/04/12 3.0β7

		hsp3.exeのコマンドラインで実行オブジェクトファイル名が指定できるように修正。
		スクリーンセーバーのサポートを実装。
		memfile命令を実装。
		button命令で配置されたボタンイベントでシステム変数statにIDが反映されるように修正。
		noteinfo関数でエラーが発生することがあった不具合を修正。
		コマンドライン引数(起動オプション)の取得内容を2.61に準拠するように修正。
		起動時のウインドゥ非表示、サイズ等のオプションが反映されるように修正。
		コンソール版ランタイムで一部のプラグイン呼び出しがエラーになる不具合を修正。
		コンソール版ランタイムでデバッグウインドゥ使用時にフリーズする不具合を修正。
		noteadd命令による先頭行の追加仕様を2.61に準拠するように修正。
		β6で実行ファイル自動作成が正常に動作しなかった不具合を修正。

	2005/03/29 3.0β6

		デバッグウインドゥの表示機能を追加。
		デバッグ支援命令のassert、logmes命令を追加。
		コンソール版ランタイムの実行ファイル作成時はend,stop命令のキー入力待ちを行なわないように修正。
		コンソール版ランタイムにdialog、exec命令を追加。
		コンソール版ランタイムのinput命令挙動を2.61に準拠するように修正。
		peek,poke命令で配列変数の要素が無視される不具合を修正。
		COMオブジェクト型のプロパティ参照でIDispatchの変換に失敗する不具合を修正。
		COMオブジェクト型のプロパティ参照の引数を指定できるように修正。
		COMイベントを管理するためのcomevent、comevarg命令、comevdisp関数を追加。
		配列要素に自分自身の変数名を指定した時にエラーが発生する不具合を修正。
		sendmsg命令の戻り値をシステム変数statに返すように修正。
		命令パラメーターの末尾が不正な時にエラー行番号がずれる不具合を修正。
		hspcmp.dllによるシンボル取得をさらに修正。

	2005/03/04 3.0β5

		hspcmp.dllによるシンボル取得時の方法を修正。
		β4でonerror命令によるエラートラップが無効になっていた不具合を修正。
		HSP2.61互換プラグイン呼び出しでエラー10が出ることがある不具合を修正。
		oncmd命令の割り込み登録を操作先のウインドゥごとに行なわれる仕様に変更。
		oncmd命令の割り込み時のウインドゥIDをginfo関数で取得できるように修正。
		oncmd命令のサブルーチン割り込み内からreturn命令で戻り値が設定されるように修正。
		割り込み発生時のジャンプではlooplev、sublevをリセットするように修正。
		オブジェクトファイル作成時にも一部のデバッグ情報が生成される不具合を修正。
		screen、bgscr命令のウインドゥスタイル設定が反映されない不具合を修正。
		objprm命令でボタンオブジェクトの内容変更ができない不具合を修正。
		[TAB]キーによるオブジェクトフォーカス移動を実装。
		オブジェクトにフォーカスがある場合にもキー割り込みがかかるように修正。

	2005/02/22 3.0β4

		スタックメモリ及びタスクの管理方法を変更、若干の高速化。
		多くのメモリ確保を行なってもメモリ警告が出ないように修正。
		実行時ランタイムを指定するプリプロセッサ命令#runtimeを追加。
		winobj命令の実行に失敗した時にシステム変数statで通知するように修正。
		varptr関数のパラメーターで配列要素が無効になる不具合を修正。
		dirlist命令で三番目のパラメータが機能していない不具合を修正。
		inputオブジェクト配置時に別なイベントが発行される不具合を修正。
		chkboxオブジェクトのデフォルト値が無効だった不具合を修正。
		一部のオブジェクトがobjprm命令で変更できなかった不具合を修正。
		poke命令のパラメーターに文字列を指定できるように修正。
		dialog命令のメッセージに文字列型以外の指定ができるように修正。
		文字列型変数の比較後に加算代入(+=)でエラーが起こる不具合を修正。
		await命令の待ち処理をSleepからMsgWaitForMultipleObjects APIに変更。
		end命令でアプリケーション終了コードを設定できるように修正。
		ID0以外のウインドゥのクローズボックスでも終了できるように修正。
		hspmath.asマクロを同梱。

	2004/12/07 3.0β3

		#func登録時の引数hwnd,hdc,hinstを削除。sptr,wptrを追加。
		ウインドゥ情報を取得するためのシステム変数(hwnd,hdc,hinstance)を追加。
		演算子「<<」「>>」の優先順位が比較演算子より高くなるように修正。
		実数の負号解釈が正常に行なわれなかった不具合を修正。
		複数行コメントの記述によってはエラーとなる不具合を修正。
		プリプロセッサの特殊展開マクロ'%%'が使用できなかった不具合を修正。
		screen命令で別IDのサイズが変更されてしまう不具合を修正。
		bgscr命令でタイトルなしのウインドゥが出るように修正。
		mesbox命令の文字数指定に1が指定できない不具合を修正。
		onexit、onerror等の割り込みON/OFF指定がエラーになる不具合を修正。
		bload命令でオフセット指定時に正しく読み込まれない不具合を修正。
		strmid命令で取り出した文字列の終端が付加されない不具合を修正。
		演算子「<=」が正しく動作していなかった不具合を修正。
		β2でパレットモード初期化が正しく行なわれなかった不具合を修正。
		実数型の文字列変換の内部処理を_gcvtからsprintfに変更。
		dirlist命令でファイル名が正しくない時の返値をver2.61互換に修正。
		circle命令の輪郭描画モードで内部が塗りつぶされる不具合を修正。
		picload命令実行時にウインドゥのリサイズが行なわれない不具合を修正。
		chgdisp命令のエラー時動作をver2.61互換に修正。
		pget命令実行時に描画色が変更されない不具合を修正。
		ウインドゥオブジェクトの動作不具合を修正。
		buffer命令でパレットモードの画面作成ができない不具合を修正。
		エラー行番号がずれて表示されることがある不具合を修正。
		grotate命令のパラメーター仕様をver2.61互換に修正。
		COMオブジェクトのプロパティ取得で文字列(BSTR)型、COM型に対応。
		COMメソッド実行時の戻り値の代入先を設定するcomres命令を追加。
		newcom命令にポインタから初期化するオプションを追加。
		定義命令のvar引数の配列要素が正しく渡されない不具合を修正。
		ActiveXオブジェクトを配置するaxobj命令を追加。
		#funcでの古いプラグイン規約$10に対応。
		notemax関数のかわりにnoteinfo関数を追加。notemaxをマクロに変更。
		objsel命令のフォーカスID取得に対応。
		winobj、sendmsg命令を追加。
		mmloadの繰り返し再生に対応。
		ローカルラベル(*@)を実装。
		hspdef.asのマクロを更新。

	2004/11/23 3.0β2

		プリプロセッサ命令#additionを追加。
		デフォルトで"userdef.as"があればソースに追加されるように修正。
		#include、#addition命令でのパス検索方法を修正。
		HSP2.61との互換を取るためのスクリプト(hsp261cmp.as)を追加。
		width命令の座標指定パラメーターが動作するように修正。
		文字列パラメーターのバッファ拡張に失敗する不具合を修正。
		else命令をif命令の次行に記述しても動作するように修正。
		mesbox命令のp4,p5パラメーターが正常に反映されない不具合を修正。
		onexit命令の割り込み後に終了してしまう不具合を修正。
		パラメーターに「-変数」を指定するとエラーになる不具合を修正。
		ウインドゥの初期位置パラメーターが反映されない不具合を修正。
		複数行コメントをプリプロセッサ行で閉じられない不具合を修正。
		#funcで定義するキーワードをglobal指定可能に修正。
		circle命令の画面更新範囲が間違っていたのを修正。
		外部DLLの開放処理に失敗することがある不具合を修正。
		0除算のエラーが表示されなかった不具合を修正。
		clrobj命令の開始範囲が反映されていなかった不具合を修正。
		instr命令の検索開始位置が反映されていなかった不具合を修正。
		ユーザー定義命令実行時のメモリリークを修正。
		callfunc命令の戻り値が正しくなかった不具合を修正。
		改行のみのメッセージが正しく認識されない不具合を修正。
		複数行文字列の先頭にある改行は無視する仕様に修正。
		再帰呼び出し中に引数で指定された変数の受け渡しに失敗する不具合を修正。

	2004/11/17 3.0β1

		最初の公開β版。
		objinfo関数を実装。
		dirinfo(1)による取得ディレクトリの最後に「\」が入らないように修正。
		#modfunc実行時のメモリリークを修正。
		return命令に返値のためのパラメーター指定を追加。
		mesbox命令の文字数制限がおかしかった不具合を修正。

	2004/11/12 3.0α12

		Footy版の新スクリプトエディタを同梱。
		if命令のブロック処理が正常に行なわれないことがある不具合を修正。
		ws2str関数の名称をcnvwtosに変更。
		moduse関数の名称をvaruseに変更。機能を追加。
		limit,limitf関数を実装。
		cnvstow命令を実装。
		ランタイムにWindowsXP用のMANIFESTリソースを追加。
		COMオブジェクト型変数の比較(=,!=)をサポート。
		COMオブジェクト型変数のコピーをサポート。
		str型の配列を自動拡張に対応。
		ランタイム(hsprt)を同梱。

	2004/11/06 3.0α11

		COMオートメーション(IDispatch)に対応(一部仮実装)。
		mcall,exgoto,on〜goto/gosub,circle,syscolor命令を実装。
		hsvcolor,gsquare,grect,grotate命令を標準として実装。
		ginfo関数を実装。
		文字列型の比較演算子(=,!=)を実装。
		画像のコピーのモード7を追加。
		mmplay命令に再生状態を取得する機能を追加。

	2004/10/25 3.0α10

		COM呼び出しのための定義を行なう#usecom,#comfuncを追加。
		外部DLL、COM呼び出し時のパラメータータイプ(wstr,hwnd,hdc)を追加。
		dimtype命令の仕様を変更。
		newcom,delcom,querycom,mref,memexpand,line命令を実装。
		abs,absf,expf,logf,ws2str関数を実装。
		sqr関数をsqrt関数に名称を変更。
		atn関数をatan関数に名称を変更し機能を若干変更。
		プリプロセッサ命令#enumを追加。
		vartype関数、dupptr命令の機能を追加。
		SDKのHspVarProc/HSPEXINFO構造体を一部更新。
		新規変数タイプ作成時にtypeIDが正常に設定されない不具合を修正。
		ユーザー定義命令内からのサブルーチンジャンプを行なうとエイリアスが無効になる不具合を修正。
		intとdoubleの型変換時にテンポラリ変数が壊れる不具合を修正。
		関数パラメーター省略時にエラーが発生する不具合を修正。

	2004/10/23 3.0α9

		int型の計算処理を最適化。
		exec,chgdisp,getstr,memcpy,memset命令を実装。
		callfunc,strmid,instr関数を実装。
		変数のIDが重複することがある不具合を修正。
		複数行のif命令記述がエラーになる不具合を修正。
		複数行の文字列 {"〜"} が認識されなかったのを修正。
		割り込みが多重に発生した時に正常に実行されない不具合を修正。
		割り込みジャンプからの復帰時にstop命令を越える不具合を修正。

	2004/10/15 3.0α8

		sdim命令をver2.x互換に修正。
		dimtype,dup,dupptr命令を実装。
		foreach命令を通常の配列変数にも対応。
		書式指定付き文字列変換(strf命令)を実装。
		dirinfo,sysinfo,getpath関数を実装。
		メモリノートパッド命令を実装。
		ワンキーヘルプ用hsファイル(作業中)を同梱。

	2004/10/11 3.0α7

		モジュール変数を実装。
		DLL呼び出し(#uselib,#func)を実装。
		int,double型の配列自動拡張に対応。
		プラグイン仕様の一部を更新。

	2004/10/04 3.0α6

		モジュール機能及び命令定義(#deffunc)、ローカル変数を実装。

	2004/09/30 3.0α5

		文字列の格納サイズを可変に修正。
		ファイル操作命令とメモリ操作(poke,peek)を仮実装。
		変数型サンプルを同梱。

	2004/09/26 3.0α4

		割り込みとイベントを仮実装。
		プラグインサンプルを更新。

	2004/09/22 3.0α3

		いくつかのオブジェクトを仮実装。
		プラグインサンプルを同梱。

	2004/09/16 3.0α2

		描画関連命令をいくつか追加。
		基本命令動作の不具合を修正。

	2004/09/13 3.0α1

		SDKのプレビュー版として最初の公開。


・hsed3.exe 更新履歴

	2007/07/28修正(おにたま)

	・スクリプトエディタのアイコンイメージを変更。

	2006/09/06修正(LonelyWolf)

	・エスケープシーケンスのダブルクオーテーション(\")が色分けで誤認識される不具合を修正しました。
	・ラベル名の後にコメントがあるとラベル一覧に表示されない不具合を修正しました。

	2005/07/30修正(おにたま)

	・印刷メニューでエラーが発生する不具合を修正
	・デフォルトのオプション値を一部変更しました。

	2005/07/25修正(おにたま)

	・貼り付けの動作を「Shift+Ins」でも可能なように修正。
	・コンテキストメニューの初期化が行なわれない不具合を修正。
	・デフォルトのオプション値を一部変更しました。

	2005/07/12修正(おにたま)

	・デフォルトのファイル拡張子を「.hsp」に変更しました。
	・デフォルトのオプション値を変更しました。

	2005/05/14修正(LonelyWolf)

	・オートインデントの動作を一部変更しました。
	・タブ切り替え時のちらつきを無くしました。
	・サイズ変更時のちらつきを無くしました。
	・メニューから開くときにカレント ディレクトリがおかしくなる不具合を修正しました。
	・メニューのファイル、もしくは、タブを右クリックして出てくるメニューから、
	　ファイルの再読込をさせることができるようにしました。
	・コマンドラインから相対パスで開けるようにしました。
	・同じファイルを開かないようにする機構の精度を上げました。
	・外部ツールからエディタへアクセスするための機構の基本部分を実装しました。
	・特定の状況下で改行したときに文字化けが発生する不具合を修正しました。

	2004/04/11再修正(LonelyWolf)

	・オートインデントの動作の不具合を修正しました。

	2004/04/11修正(LonelyWolf)

	・オートインデントの動作を修正しました。
	・外部ツールを起動できるようにしました。

	2004/04/02修正(LonelyWolf)

	・デバッグの取り忘れを撤去。
	・ダイアログからファイルを開いたときに、カレントディレクトリが初期状態に
	　戻されてしまう不具合を修正。

	2004/03/25修正(LonelyWolf)

	・メニューからファイルを開いた際に、保存が必要と誤認識してしまう不具合を修正しました。
	・設定の保存方法にiniファイルを選択できるようにしました。
	・メニューのウィンドウから、タブをアクティブ化できるようにしました。
	・検索(置換)ダイアログが表示されていて、エディタにフォーカスが当たっている時に、
	　再度ダイアログを開こうとしたときに、ダイアログにフォーカスを当てるようにしました。
	・検索(置換)ダイアログの検索文字列が空白だったときに、次(前)を検索すると
	　多重に開いてしまう不具合を修正しました。
	・起動時にコマンドラインが与えられていても、設定のカレント ディレクトリを反映してしまう
	　不具合を修正しました。
	・Ctrlを押しながらドラッグすると、ドラッグした文字列をコピーするようにしました。

	2005/03/19修正(LonelyWolf)

	・検索で見つからなかった場合に、検索ダイアログにフォーカスが当たるように修正しました。
	・Zオーダーでのタブ切り替えがうまく動作していなかった不具合を修正しました。
	・Footyのアンドゥの制限の設定を、デフォルトの256回から無限回に変更するように修正しました。
	・設定の項目名の変更と、項目の追加を行いました。

	2005/03/13修正(LonelyWolf)

	・設定の親カテゴリをクリックしたときの動作を変更しました。
	・コマンドライン起動、ドラッグアンドドロップでファイルを開くときに、
	　最後に開いたタブをアクティブにするようにしました。
	・一部のプリプロセッサ命令が色分けされていなかった不具合を修正しました。
	・コンパイル時に文頭にスクロールしてしまう不具合を修正しました。
	・色の設定の保存方法を変更しました。
	・オート インデントでアンドゥ バッファを使用しないようにしました。
	・ヘルプ設定の項目の配置を変更しました。

	2005/02/26修正(LonelyWolf)

	・選択範囲を検索キーワードに反映するようにしました。
	・オプションのディレクトリ設定のラジオ ボタンの挙動を修正しました。
	・旧HSPヘルプ設定を廃止しました。
	・コマンドライン起動、ドラッグアンドドロップでのファイル オープンがうまく動作していない
	　バグを修正しました。
	・一部のキーワードが色分けされていなかったバグを修正しました(仮)。
	・色分け可能なキーワードに文字列("〜")とプリプロセッサ命令(#〜)を追加しました。
	・設定の初期化機能を実装しました。
	・「非文字」の設定が保存されていなかった不具合を修正しました。

	2005/02/18修正(おにたま)

	・デフォルトのオプション値を変更しました。
	・HSP3用の拡張子(*.hsp)に仮対応しました。
	・新規ウインドゥに設定が反映されなかったのを修正。

	2004/02/16修正(LonelyWolf)

	・MDIのショートカット キーを使えるようにしました。
	・Ctrl+Enterでオート インデントを無効にして改行を行うようにしました。
	・タブが常に1つは残っているようにしました。
	・メニューの「すべて選択」のグレイアウトを行うようにしました。
	・一部のダイアログのフォントを変更しました。
	・コマンドラインからの起動でバッファ オーバーフローにより、表示がおかしくなるバグを
	　修正しました。
	・#runtimeに対応しました。

	2004/01/03修正(LonelyWolf)

	・コマンドラインから起動する際に、強制終了がかかることがあったバグを修正
	　しました。
	・操作の加えられていないタブがアクティブのときに、ファイルを開いた場合は
	　そのタブに展開するようにしました。
	・タブが存在しない状態でラベル一覧を表示しようとすると強制終了がかかるバグを修正しました。
	・検索機能を改良しました。

	2004/11/19修正(LonelyWolf)

	・採用しているエディト部分のコントロールのライブラリのバージョンアップにより、
	　　・折り返し状態でHomeキーを押したときに、先頭文字が１バイトのときに正常に
	　　　動作しない不具合が修正されました。
	　　・[Ctrl]+[End]で終端を越えてしまうバグが修正されました。
	・一部のダイアログがESCキーで閉じることができなかった問題を解決しました。
	・複数のファイルをドロップできるようになりました。
	・ツールバーにフラット スタイルを採用しました。
	・バージョン情報ダイアログのリンクの動作を変更しました。
	・メニューの項目名の細かい訂正を行いました。
	・タブが存在しない状態でもドロップできるようになりました。
	・終了時にどれかのタブでキャンセルがかけられた場合、タブを閉じないようにしました。
	・色分けがマルチステートメントを認識できていなかった問題を解決しました。
	・関数の色分けに対応しました。
	・改行時にインデントが段階的に行われていましたが、まとめてインデントを行うようにしました。
	・改行時に行がインデントのみだった場合は、インデントを削除するようにしました。


------------------------------------------------------------------------------
                                                    HISTORY.TXT / end of file 
------------------------------------------------------------------------------
